package require Itcl
namespace import -force itcl::*
;# Delete old definition
catch {delete class coverArtDL}
;#################################################################################
;# Class Definition for coverArtDL
;# Usage: Bring up a window contain image queries from google images
;#
;#
;#
;#################################################################################
set designNotes {
   - Build query window, query on top, scrolled window below
   - Scrolled canvas on right to hold images
   - Use the browser::queryCoverart method to query images
   - Keep track of each image download started
   - As each image finished downloading, pack a new copy to end
     end of the scrolled canvas
   - Double clicking or dragging image sets it
}
class coverArtDL {
   #  ----------------------------------------------------------------------------
   #  Constructor
   #  ----------------------------------------------------------------------------
   constructor {args} {}
   #  ----------------------------------------------------------------------------
   #  Destructor
   #  ----------------------------------------------------------------------------
   destructor {}
   #  ----------------------------------------------------------------------------
   #  Private Methods
   #  ----------------------------------------------------------------------------
   private {
      method method1 {args} {}
   }
   #  ----------------------------------------------------------------------------
   #  public Methods
   #  ----------------------------------------------------------------------------
   public {
      method method2 {args} {}
      method startTransfer {args} {}
   }
   #  ----------------------------------------------------------------------------
   #  Private Variables
   #  ----------------------------------------------------------------------------
   private {
      variable t.status
      variable t.folder
   }
   #  ----------------------------------------------------------------------------
   #  Public Variables
   #  ----------------------------------------------------------------------------
   public {
      variable p.mytop
   }
   #  ----------------------------------------------------------------------------
   #  Static variables
   #  ----------------------------------------------------------------------------
   common comVar
   #  ----------------------------------------------------------------------------
   #  Static methods
   #  ----------------------------------------------------------------------------
   proc comProc {args} {}
}
#  ----------------------------------------------------------------------------
#  Constructor and Destructor
#  ----------------------------------------------------------------------------
body coverArtDL::constructor {args} {
   package require http
   set i 0
   while {[winfo exists .cart[incr i]]} {break}
   set p.mytop .cart$i
   toplevel $p.mytop
   set t.folder [file join ~ download]
   if {![file exists $t.folder]} {
      file mkdir $t.folder
   }
}
body coverArtDL::destructor {args} {
#----------------------------------------------------------------------------
# Downloader for background images
# Not currently used
#----------------------------------------------------------------------------

#------------------------------------------------------------------------------
# Initiate the transfer
#------------------------------------------------------------------------------
body coverArtDL::startTransfer {url} {
   Trace 1
   variable t.folder
   variable t.status
   #direct to contents
   if {[catch {
      set token [::http::geturl $url -binary 1 -progress httpDL::cbProgress -command httpDL::cbDone]
      update
   } result] } then {
      saLog $result
      return -1
   } else {
      set t.status($url,state) "started"
      set t.status($url,token) $token
      return $token
   }
}
#----------------------------------------------------------------------------
# Progress callback for t.status
#----------------------------------------------------------------------------
body coverArtDL::cbProgress {token total current} {
   Trace 1
   variable t.folder
   variable t.status
   upvar #0 $token state
}
#----------------------------------------------------------------------------
# All data is written
#----------------------------------------------------------------------------
body coverArtDL::cbDone {token} {
   Trace 1
   variable t.folder
   variable t.status
   upvar #0 $token state
   set contents $state(body)
   set url $state(url)
   set name [file join $t.folder "[clock clicks]_[file tail $url]"]
debug "$name with $state(totalsize) bytes"
   set fid [open $name w]
   fconfigure $fid -translation binary -buffersize 100000
   puts -nonewline $fid $contents
   close $fid
#    foreach {name} [array names state] {
#       if {[string length $state($name)]<120} {
#          puts "$name=$state($name)"
#       } else {
#          puts "$name=<too big>"
#       }
#    }
}
# querylength=0
# -queryblocksize=8192
# state=eof
# -progress=httpDL::cbProgress
# charset=iso8859-1
# type=image/jpeg
# -binary=1
# url=http://lucksmiths.emotionlotion.org/luck016a.jpg
# -command=httpDL::cbDone
# -timeout=0
# queryoffset=0
# totalsize=12492
# -validate=0
# -queryprogress=
# -headers=
# -blocksize=8192
# t.status=ok
# coding=
# body=<too big>
# currentsize=12492
# -type=application/x-www-form-urlencoded
# meta=<too big>
#
package provide coverArtDL 1.0

