#------------------------------------------------------------------------------
# snackAmp - saImages package 1.0 for snackAmp
# provides various base64 encode images
#
# Music File Player in Tcl/Tk
#
# Copyright (C) 2001 Tom Wilkason
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# Please send any comments/bug reports to
# tom.wilkason@cox.net  (Tom Wilkason)
#------------------------------------------------------------------------------
set [file rootname [file tail [info script]]]_History {
   $Header: /cvsroot/snackamp/snackamp/lib/saImages.tcl,v 1.26 2006/03/11 13:14:58 wilkason Exp $
}
#------------------------------------------------------------------------------
# Function   : createsaImages
# Description: Create icons used in snackamp
# Author     : Tom Wilkason
# Date       : 2/11/2001
#------------------------------------------------------------------------------
package require Img
# Some images are in png format
namespace eval saImages {
   proc photo {image data} {
      image create photo saImages.$image
      #image create photo saImages__$image -data $data ;#(so I can write them)
      saImages.$image put $data
      #variable saImages::$image
   }
   proc png {image data} {
      image create photo saImages.$image -format png
      #image create photo saImages__$image -data $data ;#(so I can write them)
      saImages.$image put $data
      #variable saImages::$image
   }
   proc gif {image data} {
      image create photo saImages.$image -format gif
      #image create photo saImages__$image -data $data ;#(so I can write them)
      saImages.$image put $data
      #variable saImages::$image
   }
}
proc createSAImages {args} {
   # Attached player (iPod)
   saImages::png mp3_player.close {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAJ7WlDQ1BJQ0Mg
      UHJvZmlsZQAAeJyt1mdUU9kWB/D/vSmEBELvLSDdUKRKb4oNGEQUsAIhNCkR
      gih2ULChYFewK3YFlVHHigoijKI0EVEsIDgiHQuCeR+CZdabWe/L25/22Wvd
      s8757X3XOoCUYphAEEcCiE8QJgVM8OQEh8zkSNSBCjVIA7AP4yULPPz9ffCv
      8bEeBADUmIUJBHGJR6OrEZeXqZLjwumfq/v4378DALCTgkNmAgQXgGKUOHcH
      oBguzgMBKKYKBUKAiAagyIsOiwCIpQC4SYEBXgBxHAA7SpxfBsAOF+flANgL
      eVFCgGgAKPIJETEJALUDoLtG8JN5AIsLYF5EMi8eYG0EYBkfnxgBsK4BMOYJ
      koQAqwWAWXDITI74yOGRgHUIQB7/WZsvBRRpAoo1P2smEYBGAXD1xM9aXwAI
      AIRyVXKktRUAgJDyBGgvRKI+Q0BiCzCcKxJ9PSQSDR8GKE3ArTheStLCES+C
      eAD8r7X4ziNBIQACJJXOkGRJsWXk5BWUlFXVNDS1dTh6o/QNjYxNR3PNLSzH
      WNvY2tmPdXRydnF1c/fw9Bo33nvCxEmTp/j4+v3mPzUgcPqMoOCQmbPmzJ0X
      GhbOi4iMio6JnR8XnyBYkJQsTFmYuihtydJly1esXJWesSYza+269Rs2Zm/K
      yd2yddv2HTt37d6Tl793/4GDhw4fOVpw7PiJk6dOnzl7rrCo6PyFi8W/X7p8
      5Y+r165fv3HzVsntO3fvlpbdK79fUVH554OHVVWPHlfX1NTW1dU/aWh42tj4
      rKnp+YsXzS9fvnr9+k1LS+vbtrb2d+/+ev++40NnZ1d3d09vX1//wMDHT58/
      fxkc/Do0NPztmwgklS4hyZSSlpGVV1BUVlFT19TS5ujq6RsYGpuYcs3MLSyt
      rG1s7cY6/BvAtBGA2SMA/O8AiT8AFv8AWL0mM2vt+g0bszdt/kUgf+++fxAY
      ARALiAHu/A3g0ePH1TW1tXX1/wjQ+gOgQwzQ09Pb198/8PHjp89fvvy8P4VG
      Z0gyWdJsGVl5BUUlFVU1dQ1NbR2Ort4ofQMjYxPT0VwzcwvLMVbWNja2dvZj
      HRydnEckfqUQD8N3jFmz58ydFxoaFs6L+OGR8AtI2t9F1v1C8n0mvpP8k4mY
      ZGQoSsvulZff/5Wkrv6J2OP5i+aXr16/aWl929b+7q/3HR86u7p7evv6Bz5+
      /jL4dWj4mwgQ//sAQLcDDicAM5hA4CFgezFg5ASodAH+0kCgA8hka5CRkSBV
      mKAQAAmAAAV0SEIGytCBKewwDoHgIxXrsQ8XUYkWfCPUCXtiOpFMbCWKiafE
      N9KA9CUXkvvJSvILxYQSQtlAuUnpp3KpEdS91Kc0VVoQbTetia5Hj6ZfoIsk
      fCT2SHQwPBi7GL2SfpJnmGzmAmYDy4tVKKUttUmalE6THmAns/tkUmWGZTPl
      5OQOytvIVyiEK3xT3K2kr3RK2Ur5msoElRrVcNV+tXXqWuoXNXw0WjWXaalo
      FWv7a3fq5HBsOI26GXqj9apHLdW30G8y2GjoYthpdNA4yIRtUmqaPtpr9DD3
      utkKcw8LmkWl5bYxc6yMrHqtb9rk2Ibb2dqz7F+PveKw2ZHv5OKs5fzNpdn1
      htsB9wyPSM8pXtbjOONlxw95d0+on3hv0u3JJVNu+5T5Vvo9+q3Ov2nqu4Cv
      gXLTjWY4BwUGC0KyZ56ZVTNbNNdi3rzQnLAyHhnhxl8SeTWaEuMfu3d+d/zk
      hDwBFvCSyoSWKftT5RatTWMsWb50cPnKlcxVWzN0Vl/K9MlqXrdkg9bGkk3B
      m0W5p7fO2i6x48yuXXuK8l/vlz3ofFhw9Nix+pOSpyedzS4sPS8q9rqUfqXy
      muyNoFtHbveXetzLvf/yT4eHGx69qbGt2/KktzGg6XKz2qu0Ny/e+reXvLf+
      UNBt1Js3oPRp16Du0FOR6Ef/mZCBCnTBhQMmIgSxWIocFOAa6tBFMAljwpuI
      IFYTBUQF0UUqk65kNLmFvEF2UDQpvpQVlAuUdiqHGkzdQn1IY9P8aJtptXQN
      ejj9NP2zhLfENok2hjNjG6NTcorkCSaLmcCsZ3mwzkppSWVLE9KLpfvZyew+
      mYUyQ7Jr5OTkDvzP7vtqtGou11LRKtaeqt2ts4Vjx3mum6lnofdkVLq+nX6r
      wQ7DiYZfjc4ZR5romDSa7h4dwlXiPjM7aM634Fp8tLw9JsdqrrWZDWye2J60
      y7QPH+vqoO7w0bHW6XfnfJcM11i3AHcnDyNPeS949Y7rGf/Ku2nCg4l3J5VM
      LplS4nPHt9yv8rcq/9qpzQGdgcR0hRkGQfbB/iHRM9NnHZhdOqdrnkaoe1h0
      +C5ePZ8V6RKVFn09FvPHx+XEv0g0F6QvaEi2Euam9KeGLLqVZrpk/zKF5dkr
      mauyMiirV2WysvLWGa+/vNEv+/3mDblGW0q28XYo7ny++0k+fZ/NAf6h3Uce
      HKOccDwVf+b0ubbz3Ispvxdf/nLV+frqm49ua90NKysqH6r0e5Bf9aHas3Zn
      /dun9s9ynre+dHu9o+VDm++7/e+/dM7ovt6nN7D2U9fgnKHukf6TYEEWyuDA
      HC7wQzhSsQkFKMELDBPahDsRQawjiogmkkHakVHkTrKSQlKcKCmUIko31Yoq
      pP5Bo9D8aHm093RX+jZ6h8QEiaMMOiOWUS3pKnmGqcPcwZJlZUtJS22WVpI+
      xLZml8nMkfksu13OTq5JPkvBTqFdMV/JS6lZea2KuUqD6ho1O7V29XyNaZpM
      zVtai7VttLt1CjnJuo56FL17o3L1Qw3MDYYNK43yjBNMPE1VTXtGV3ILzDLM
      Qy3cLDljqGParCqsC2322KbbxdvPHjvZwd5Rz0nGmeI86NLt2uLW4F7jUe5Z
      4nVrXOn4Uu+yCXcm3p1UOblmSpNPu2+/n8ifOVUlwGSaW2DQ9IQZa4L2Bl8J
      aZw5PFtnjtvcsHlZoYVhTTxGhC2fH7krqiqGETt+fkZcSbwo0VWQvuB+soIw
      NKUolVwUuPjkEnJpyLKLK9RWpq1qyPBcfS5TI2v12u71vA3V2d6bbuY45l7Z
      6rDt6g7XnaW7Z+zpyd+6z3T/g4OJh+WPXC2IPM46UXgq4YzO2YeFy89bX+gq
      Pn0p5orpH43X8m4E3VIsqb2zvXT6PaXymopNf055yKwqe7yoxqq2vf5gQ3Aj
      +9mN5/Ob1V9WvBa2qLbeaIt9x/jrUIf3h5ddS3qUek/0OwxUfJr1uWNw7ZDq
      cKNIBIjfiwAAWoxvGA//54iPS/m+JwlAip8wfRoABgBjgdA/8HuOGPgiDDzx
      OxUA6LJAvhEAXPZN+q99hfxFQgDwShQsToqJihZyPASCOD7HKzFekCLkJ3E5
      kxJ45lyOlaWlLQD8B48IkUw4z5uwAAACiElEQVQ4jX1TTUiTcRx+3qmbguIa
      26pdwhA6dWl94Q6CePQiUcyTwkhSkkILQerURfDksR2M0SWCTl48OND1MV2p
      LZv41Tvdx5ubOvfOdx/vtvZ0yGTq6oEfvz/8Hh74Pf/nJ5DEaRgMhsbBwScD
      ipI6HB0dHT9DKAfJ4wKgHXo89EAMBsV0MU2SHBl59rScc7qOH44ex91AIPD1
      ILdPv7RI39Ynbu9tkSSHh4cH/inQ0tJy3ev1zsRSMc5vezm9NsWP4iwXwnNc
      DH9maH+bJNnf33+/koDgdrs/tLW12ebX5hArSKjX1UNbpYW2WovqqhoIRQGX
      9JdhaDSwt7e32+l0vi63QBMIBDIAcKP5JszaC1CLKoqlIvLFPGpRi2bjFegb
      9AAgOJ3OiY6OjvbTjt+anJyUSDKnqny/6uHMuptSIspCvsC9fZnB7R2GIrtU
      0jmmUnKitbX19gkTzWZz++zs7AFJZrNZKpkMSyVyU4zS/32LS9+C9C//6XuJ
      Q8qyHLdarddO/EJTU9Mdn8+X4REO01ku+kV+WfrBpKywVPrF9U2JvoUNpjMq
      4/F41Gq1XtX8XUUUxXfd3d0Pl5eXCwBQU6WBTlcNCEAymUZSTiNfKKBEQlEy
      MJlMFofD8UhT7sfKyspEX1/fi1AoBJ1Oi4vnz0EA8DMuY31zB4qSQ0N9HUxG
      PVRVhcfjCZ8NBlDT2dn5UpIkkqScSlPcinF1I8pwNMFsTqXf7y91dXW9AmCu
      nC6gzm63vw2HwyxHJBLm2NjYisViuXcmyhVE9Ha7fSoSiXB3d5culytrs9nG
      AVjKedX/ObKkIAg9RqPxTT6f17lcrue5XG76NE+odM4nCILQeCQoV5r/BgpR
      HN4HlALpAAAAAElFTkSuQmCC
   }
   saImages::png mp3_player.open {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAJ7WlDQ1BJQ0Mg
      UHJvZmlsZQAAeJyt1mdUU9kWB/D/vSmEBELvLSDdUKRKb4oNGEQUsAIhNCkR
      gih2ULChYFewK3YFlVHHigoijKI0EVEsIDgiHQuCeR+CZdabWe/L25/22Wvd
      s8757X3XOoCUYphAEEcCiE8QJgVM8OQEh8zkSNSBCjVIA7AP4yULPPz9ffCv
      8bEeBADUmIUJBHGJR6OrEZeXqZLjwumfq/v4378DALCTgkNmAgQXgGKUOHcH
      oBguzgMBKKYKBUKAiAagyIsOiwCIpQC4SYEBXgBxHAA7SpxfBsAOF+flANgL
      eVFCgGgAKPIJETEJALUDoLtG8JN5AIsLYF5EMi8eYG0EYBkfnxgBsK4BMOYJ
      koQAqwWAWXDITI74yOGRgHUIQB7/WZsvBRRpAoo1P2smEYBGAXD1xM9aXwAI
      AIRyVXKktRUAgJDyBGgvRKI+Q0BiCzCcKxJ9PSQSDR8GKE3ArTheStLCES+C
      eAD8r7X4ziNBIQACJJXOkGRJsWXk5BWUlFXVNDS1dTh6o/QNjYxNR3PNLSzH
      WNvY2tmPdXRydnF1c/fw9Bo33nvCxEmTp/j4+v3mPzUgcPqMoOCQmbPmzJ0X
      GhbOi4iMio6JnR8XnyBYkJQsTFmYuihtydJly1esXJWesSYza+269Rs2Zm/K
      yd2yddv2HTt37d6Tl793/4GDhw4fOVpw7PiJk6dOnzl7rrCo6PyFi8W/X7p8
      5Y+r165fv3HzVsntO3fvlpbdK79fUVH554OHVVWPHlfX1NTW1dU/aWh42tj4
      rKnp+YsXzS9fvnr9+k1LS+vbtrb2d+/+ev++40NnZ1d3d09vX1//wMDHT58/
      fxkc/Do0NPztmwgklS4hyZSSlpGVV1BUVlFT19TS5ujq6RsYGpuYcs3MLSyt
      rG1s7cY6/BvAtBGA2SMA/O8AiT8AFv8AWL0mM2vt+g0bszdt/kUgf+++fxAY
      ARALiAHu/A3g0ePH1TW1tXX1/wjQ+gOgQwzQ09Pb198/8PHjp89fvvy8P4VG
      Z0gyWdJsGVl5BUUlFVU1dQ1NbR2Ort4ofQMjYxPT0VwzcwvLMVbWNja2dvZj
      HRydnEckfqUQD8N3jFmz58ydFxoaFs6L+OGR8AtI2t9F1v1C8n0mvpP8k4mY
      ZGQoSsvulZff/5Wkrv6J2OP5i+aXr16/aWl929b+7q/3HR86u7p7evv6Bz5+
      /jL4dWj4mwgQ//sAQLcDDicAM5hA4CFgezFg5ASodAH+0kCgA8hka5CRkSBV
      mKAQAAmAAAV0SEIGytCBKewwDoHgIxXrsQ8XUYkWfCPUCXtiOpFMbCWKiafE
      N9KA9CUXkvvJSvILxYQSQtlAuUnpp3KpEdS91Kc0VVoQbTetia5Hj6ZfoIsk
      fCT2SHQwPBi7GL2SfpJnmGzmAmYDy4tVKKUttUmalE6THmAns/tkUmWGZTPl
      5OQOytvIVyiEK3xT3K2kr3RK2Ur5msoElRrVcNV+tXXqWuoXNXw0WjWXaalo
      FWv7a3fq5HBsOI26GXqj9apHLdW30G8y2GjoYthpdNA4yIRtUmqaPtpr9DD3
      utkKcw8LmkWl5bYxc6yMrHqtb9rk2Ibb2dqz7F+PveKw2ZHv5OKs5fzNpdn1
      htsB9wyPSM8pXtbjOONlxw95d0+on3hv0u3JJVNu+5T5Vvo9+q3Ov2nqu4Cv
      gXLTjWY4BwUGC0KyZ56ZVTNbNNdi3rzQnLAyHhnhxl8SeTWaEuMfu3d+d/zk
      hDwBFvCSyoSWKftT5RatTWMsWb50cPnKlcxVWzN0Vl/K9MlqXrdkg9bGkk3B
      m0W5p7fO2i6x48yuXXuK8l/vlz3ofFhw9Nix+pOSpyedzS4sPS8q9rqUfqXy
      muyNoFtHbveXetzLvf/yT4eHGx69qbGt2/KktzGg6XKz2qu0Ny/e+reXvLf+
      UNBt1Js3oPRp16Du0FOR6Ef/mZCBCnTBhQMmIgSxWIocFOAa6tBFMAljwpuI
      IFYTBUQF0UUqk65kNLmFvEF2UDQpvpQVlAuUdiqHGkzdQn1IY9P8aJtptXQN
      ejj9NP2zhLfENok2hjNjG6NTcorkCSaLmcCsZ3mwzkppSWVLE9KLpfvZyew+
      mYUyQ7Jr5OTkDvzP7vtqtGou11LRKtaeqt2ts4Vjx3mum6lnofdkVLq+nX6r
      wQ7DiYZfjc4ZR5romDSa7h4dwlXiPjM7aM634Fp8tLw9JsdqrrWZDWye2J60
      y7QPH+vqoO7w0bHW6XfnfJcM11i3AHcnDyNPeS949Y7rGf/Ku2nCg4l3J5VM
      LplS4nPHt9yv8rcq/9qpzQGdgcR0hRkGQfbB/iHRM9NnHZhdOqdrnkaoe1h0
      +C5ePZ8V6RKVFn09FvPHx+XEv0g0F6QvaEi2Euam9KeGLLqVZrpk/zKF5dkr
      mauyMiirV2WysvLWGa+/vNEv+/3mDblGW0q28XYo7ny++0k+fZ/NAf6h3Uce
      HKOccDwVf+b0ubbz3Ispvxdf/nLV+frqm49ua90NKysqH6r0e5Bf9aHas3Zn
      /dun9s9ynre+dHu9o+VDm++7/e+/dM7ovt6nN7D2U9fgnKHukf6TYEEWyuDA
      HC7wQzhSsQkFKMELDBPahDsRQawjiogmkkHakVHkTrKSQlKcKCmUIko31Yoq
      pP5Bo9D8aHm093RX+jZ6h8QEiaMMOiOWUS3pKnmGqcPcwZJlZUtJS22WVpI+
      xLZml8nMkfksu13OTq5JPkvBTqFdMV/JS6lZea2KuUqD6ho1O7V29XyNaZpM
      zVtai7VttLt1CjnJuo56FL17o3L1Qw3MDYYNK43yjBNMPE1VTXtGV3ILzDLM
      Qy3cLDljqGParCqsC2322KbbxdvPHjvZwd5Rz0nGmeI86NLt2uLW4F7jUe5Z
      4nVrXOn4Uu+yCXcm3p1UOblmSpNPu2+/n8ifOVUlwGSaW2DQ9IQZa4L2Bl8J
      aZw5PFtnjtvcsHlZoYVhTTxGhC2fH7krqiqGETt+fkZcSbwo0VWQvuB+soIw
      NKUolVwUuPjkEnJpyLKLK9RWpq1qyPBcfS5TI2v12u71vA3V2d6bbuY45l7Z
      6rDt6g7XnaW7Z+zpyd+6z3T/g4OJh+WPXC2IPM46UXgq4YzO2YeFy89bX+gq
      Pn0p5orpH43X8m4E3VIsqb2zvXT6PaXymopNf055yKwqe7yoxqq2vf5gQ3Aj
      +9mN5/Ob1V9WvBa2qLbeaIt9x/jrUIf3h5ddS3qUek/0OwxUfJr1uWNw7ZDq
      cKNIBIjfiwAAWoxvGA//54iPS/m+JwlAip8wfRoABgBjgdA/8HuOGPgiDDzx
      OxUA6LJAvhEAXPZN+q99hfxFQgDwShQsToqJihZyPASCOD7HKzFekCLkJ3E5
      kxJ45lyOlaWlLQD8B48IkUw4z5uwAAAClUlEQVQ4jY2TUUhTYRTH/1enSyum
      IVr6pA++SBAjUIjebopQgkQ9ukSShEIIhZDypVQMhDKQIjHEHkrwKaisHiIb
      smi2rS3KqZt33qnTzbvt7l7d5JweVJg2oT8cPj7O4Xf4/ud8YGYcjIqKCtPT
      oaG7/f397Zny6bH/AuT29j64sRhYWpDDGhMRDwwMdP4X4E7n7Ste76zDF0ry
      mxmFX35ZYXk9wUTEfX0Pbx0KaGhoOOtwOD57lzV+Pb3Bj94G+Z1bY2eQeMK2
      zl9dMhMRd3d3X88EyB4dHR03m83nre4VTM9rKC4wwmgQMB8IwxuMIy/vCEqO
      MerrLlzs6upaEEXRhTRlud1uDQAuVZfiXEU2/MEIpp0SYjqhoaYU9WdMOGHK
      hyAIQk9Pz0hTU5OYDkBZWVn15ORkkIg4mUzy6AcvP/+4xP5VlbdTSQ5HFPYt
      rrIkr7Ga0FlV1UhjY2PNPhPLy8tFq9W6QUS8uZVkTd9kom2e88ns9Pj5h8vH
      jp8751o4xvF4NFRXV2feN4WqqqrLdrtdIyImIlYTGs84F/i7Y56VWJyJiGfn
      gvzN7mU1oXM4HJZFUTydtfcUt9s90dbWdtPj8aQAINtggDE3BwCgKBqUqIpk
      KgViRiKxicLCwlKLxdKele6HzWYb6ejouC9JEow5Bpw6WQABwPKqgj9zK4ir
      Wzh+NB9FRSbouoapqanAv4sB5FgslmeyvDP/aCzBC/5V/u2VOSBHOKHp7HI5
      qbW19QWA4szbBeS1tLSMS5LEe54QEQekRX4yOPirsrLyasa/cABS0Nzc/D4Q
      CHAoFOKxsTG9trb2MYDS9DoDDhEzK4IgXCspKXml67pxeHj4nqqqnw7WCbvd
      DpUgCKZdYDRT/i8o60SRs+8VSAAAAABJRU5ErkJggg==
   }
   # CD ROM image, closed folder (used in tree view)
   saImages::gif Tree.ROM.close {
      R0lGODlhEAAQAIUAAPwCBFxaXISChNTS1MzKzMTGxMy+vNSytAQCBOzq7OTi
      5Nza3Oy6vPy2tOTStPz6/Ozu7Nze3MTKxOS2tNzmvLT2tDw+BPTy9MzOzLS2
      tPy+tLz+tLz2tLSynLzqvLzavLTOtNTW1KSipPz+/MTCxLy6vDQyNOTm5AAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAap
      QIBQGBAYA8Ok0DggFAwHBEIJECQUi8GT0XBMh9YHJDKQTLqUigWsuDwSmMxB
      Q9lwvoEBQpEoBBAWHRseHyBTAgMhCxgWIiMWFiASJCSHEgQSGQgjmwglGKCH
      BQUSICYWIyIWAwshIVMBIB8eFSQmCAEFCREIekIIFRsUGgcZEgkPFydrvxUU
      Dg0GBSEREGJfv9AMEySsJxDYQ4DcEhh64UpS6lTs7QB+QQAh/mhDcmVhdGVk
      IGJ5IEJNUFRvR0lGIFBybyB2ZXJzaW9uIDIuNQ0KqSBEZXZlbENvciAxOTk3
      LDE5OTguIEFsbCByaWdodHMgcmVzZXJ2ZWQuDQpodHRwOi8vd3d3LmRldmVs
      Y29yLmNvbQA7
   }
   saImages::gif Tree.Folder.open {
       R0lGODlhEQARANUAANnZ2QZI1////5rJ/JzL/KHN/KTP/JfI/Eed+lCi+Vqn
       +mWt+rja/b7d/cXh/dPo/trr/rPR+AADmked+XCz+327+4vC+6fR/LXX/Gej
       8Eee+U+i+mei8Mni+rbZ+aPO95DE9ny69Gqw8trr/Mni+7fZ+aPP94/E9Wqx
       81mn8Uqf8D2Z7zSU7un0/drs+8nj+7bZ+JDF9n279T2Z7vb19r6+vv//////
       /////////////////////////////////yH5BAEAAAAALAAAAAARABEAAAaa
       QIBwSCwaj8jkERgQCoEA4ZAICAgGhIIBGBAOAwAAABA4IBKKBaPRcDwgEQkA
       AAgcJgnFglKpWC6YjAQAAAQOmo1iQRRyJAAAIHDQbBSBDtDzAYVEwIBweNBs
       AiNSyXQKoVKqFUsSOGgCLdcLZorJUCnVTAIIHAJAmnBIpEkAgEAAWBMOiTUJ
       AAAAACXCIVEIBAiHxKLxiEwqgwA7
   }
   saImages::gif Tree.Folder.close {
       R0lGODlhEAAQANUAANnZ2QZI1/39/r7r/OT0/cLp+5/Z+nvK91+79Ueq8jOb
       7yaO7R6F6hh86QAHo+D1/b7o+5za+gADml299W/D9la09ESp8jad8CyS7iaN
       7Qxn5Of1/cjr/Krf+orR+Fi09Dae8CyU7gtl4whd4P39/fn5+fHx8ejo6OPj
       476+vvr6+v//////////////////////////////////////////////////
       /////////////////////////////////yH5BAEAAAAALAAAAAAQABAAAAaR
       QIBwSCwKgQGhEAgQDokBwWAwGAADwqEQAAgMCAXDAZFQLBaMRsMBCAwekMiB
       SJQAiEIBcCAcTiSAgGA4oFQslwsmo5EAAoMNp+OhfCwgUCgjkgACgw2n46F8
       LJdLKDOSAAJAknBIKplMJ1RKAggQhyqT6YRKSQABEjAlHBKFEgAAKBEOiUMg
       QDgkFo1HZLIYBAA7
   }
   saImages::gif Disk.Folder.close {
      R0lGODlhEAAQANUAANnZ2QQCBDQyNIRuVKyCXMSKRPTWtOzKpOTGnLSafLyS
      ZKxuLMSOVOzOrPzm1LSehNyibGxaVJx+XOzGnFw2FJRuPKx+TPTSrHRWPKyK
      ZPTWvHxOJKyKXFw+HPTOpKSipISChMTCxFxaXIRiPHxaNLRyLNSWXExOTPzi
      xOS2hLR+PMyOTAAAAIyKjP//////////////////////////////////////
      /////////////////////////////////yH5BAEAAAAALAAAAAAQABAAAAa1
      QIBwCAgEAgEicRgQDAaCAJEICBAKhgMiESAOA4oFo4EwOB4BIiAwgBQKA0Kj
      gYgEhgGBZIKgEIAVy+GCEQQAAYEgo2lsOJ1Nw4MJBAIfUCgEEn1GpJIJEjgF
      AgIQKCCCoBop1SJwOgUCAYFAICABDRfEKnA6BQCBTwAoEA4FgdMpAAAAAp8A
      URA4nQJAgFAY+AQEAkHgdAoMh4DAJ8AKnE6B4XAY+LRAp8BwOBQGAoHAcAgI
      AgA7
   }
   saImages::gif Disk.Folder.open {
      R0lGODlhEAAQAIUAAPwCBAQCBDQyNIRuVKyCXMSKROzSrOzKpOTGnLSafLyS
      ZKxuLMSOVPTWvPzixLSehNyibOzOrGxaVJx+XOzGnFw2FJRuPKx+TPTSrHRW
      PKyKZPTOpHxOJKyKXFw+HKSipISChMTCxFxaXIRiPNSWXExOTOS2hLR+PLRy
      LPTWtMyOTASCBARCBPz+/DTSJIyKjIT+bAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAaT
      QIBwCAgYA8SkMCAYDARI5ZJQMBwQiWgyoFgwrA3HQ7scQAqFAcEQOUi0zAkF
      USFYLghMBloUCDQNGxwdHhwHekcfICEhICIfIxkLJBABJUYCICABIhAOBiYn
      KJaXmH4CGSkYCCqkSAEfTKenrkOwsrQll0IrS7G5uwArLLaxLbXCLsTFLyDB
      Ky4wZEVHvCwsRn5BACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYgUHJvIHZlcnNp
      b24gMi41DQqpIERldmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJpZ2h0cyByZXNl
      cnZlZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3IuY29tADs=
   }
   saImages::gif saLogoImage {
      R0lGODlhIAAgALMAANnZ2f//a7HH/wAA/wAxlgAAgJ+f/0hz/2uP////////
      /////////////////////yH5BAEAAAAALAAAAAAgACAAAAT/EMhJq701hCqE
      gAICOWm1MEgJgBhDCAjkpNUCGKQUY4whhIBATlotCEHAIecQQggI5KS1Cjjk
      pEMIAYGctEoxBoFDTjqEgEBOGQIFYgxCCCRwyDkJBHJKGKQEQIxBAACEQAKH
      nCRAIOeEQUoxBoFATlLKGIOEEAIEcs4QxBgkUCrgGATAICUEck4xBgkhBAqg
      GIMAAEAIEMg5xRgEwCBnAGIMAoGcMgQKxBiEwiClGINAIKeEQUoAxBgEAjll
      EGOQECiFQUoxBoFAzinGIDBICYGcMgQxBgmUCjgGAQAGKQEAQggBxBiQhBAC
      BFKKMciUIUgx4BhDiDEIgEHOAMQYqQQCOaUYxpwxxBiQAAAADFKKMQgEckox
      jDFwSEkgkFMGMQYJgUoBhzFwyEkgkHOKMQgMUgIAABkGDjkJAAAIIQQQcAwC
      AAxSAgBIgUPKQgAAYg4hJCQQSBnCBKSMMUqBQIIxEBpDjEHmnCaISAmBlAMZ
      OOQkEMhJqwUDGTjkJBDISasFZRg4pCQEAjlptbLAISeBQE5a7SyljFEKJBDI
      SautpZRy773XBUUAOw==
   }
#    saImages::gif icon {
#       R0lGODdhEAAQALMAAACSqgBtVQBtqgCSVQAA////Vf//ANv/ANv/VUlt/wAA
#       qgAAVf///////////////ywAAAAAEAAQAAAEpxAEEEAAAQQQQIAgCCCGGJBI
#       OcIAoBQBAoBEyjDEECOYUw40hAwBBAhCiCHgEIMQYwwIQJQCQRABBELCOMYA
#       GAY0UgZCgBhilBDgEGAIQwgyQgABjQEBBBAAIaFIKAAwxkAi5wBhGAGEIAmm
#       pAgxQwwRgiCQpLTUIsSYEsaAgRC11CJEgAAMBGAIQtQiRAQh4BAjjCEIISQE
#       AYEIIIghRgABDAgGGEJEADs=
#    }
   saImages::png icon {
   iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAAK3RFWHRDcmVh
   dGlvbiBUaW1lAEZyaSAzIE1hciAyMDA2IDE5OjI1OjEzIC0wNTAwLrWlmAAA
   AAd0SU1FB9YDBAAcBVZsEccAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAEZ0FN
   QQAAsY8L/GEFAAAD/klEQVR42n1UbWxTZRR+2nvbXtvBRu3Y5hQ6JTKWmn0Q
   0wEKVycJTIeL+kP/sJn4w1+DRH9oNLbTGDXxhyZiYghmMxqRjA9HSJCitoYJ
   V8FtRNdqtnXDdHRutW36sX7P8963tHRR3+T0nvv2Pc8973POczRYu5xO56N3
   tTLP4Y8FB/2xRfzvovO3v2puOd/7Dzt9ywLevWR09ONNuEaB7hciOLZwAol8
   En+lov8FOXg7sMB+qt95w1lfVYDFWHAM9cZx+lw3Rj4Dvjsl4WHzdmyNd8LW
   AdjMVjV2DbhM5oEsy3C73SLbiaa1GPSYHAZhFU63CU+quecAXRJnv1qvRm08
   J6tP284UBsi8wi+Yyk0hkAip9NzKVNh17DXngH3F4ZrVI7+qUcHtBRnKlTjQ
   dB4wEYc5CYnwOiRoy+8VoVyQYLjZBEPtDJalUDlTWdawDB3WmjxWHUsocghc
   Kx5pvwE0e4H5n4GQDpi0k2+iP1rgva5HX68fB7viFCdiZMqARFYD4c+OLs3o
   7wb54qwO038LeH13Elcu74cylkbfc2MQazPQm3OImrOAdR7Y5sVTO7bDe1VC
   sFHBiz1RPNOSxoGtaSzEBI/KYTqvgWdeTwZ8cu0ODBQTnItocfFQFDUS49ao
   7rnndLi7eMvFuBb7v6hR/UP2JIL0Lj69LY1XHkri5QsmRFJaTC6KpfJ55vSw
   fbwBohYY6o2pe73NabjO5lW/jjrD2piFEtDhQ4V/UJwIijj+qwHu/ih9QYPz
   03qMnyz3RCCmdhYeGeaZtNbl8HhWq/r7tmTw0cGIyh/j8b0xI7QzYQFHfqpG
   19HH8JZLRoPRXAJzyAm8tCOJvtZUaY/dIJ7hehiekGD94E5eYmtGLawoCTrs
   M3Rj7tM2KHTbpc5lNEg8eIgCRnrCrOHR38ZBz/j0ELyrpQ+EVrR4/uv1qDYU
   0Fafg7izrgU3htpYq2FpiTrmfQvsu/nh+YiAB49u4NnuSRQ5zGA8UODXJwCZ
   isH4Y/3LCiuG03FkpJvIxxoQ+I0DKT/Qj75SsCevt6jPLyfDeKLAOWRyZS1z
   uHOl1MPieGgG2ExqOMUC9pAZixDjJbC9je3Inz7AJdgehHGjSfW/oQJe+rxG
   BW225NTC8h7ZTJp6dgIYXaCm3EUbpBCrQirhV3Md2YQO4l4inONv12NvTzlz
   po7hSU76q99W0bShCcE0iHV5GfcmSf0+4AECthWKs4iWbxOaau/Bj6P8dfYP
   NgVWgPuvAg2Z8hijEaatmGskMViy3HTlSqLZRWC+SlIbLxNYuhxbXDwHniWf
   a9zkimAL0yGllaJBkWN3PwHcFwA6EmWw4oDVYO1aM9Ir1jQZ0Y0qsi3/fv4f
   Y7WIIqryRkMAAAAASUVORK5CYII=
   }
  saImages::png Close {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAOO
   SURBVHjaYvz//z8DJQAggFhAxGpGRoa/DAyCXKKiM4Vs7aye7dq1/euXz7l/
   GBh+AMVBcsxs7Oy90t4+Ic9Pnjj/5unTtH8MDM8rgZYDBBADyAXLGRiENyso
   bH939tz//0/v/n+2/8D/JSIiy6YzMLBNARowi5d35q2NG/9/u3/r/9Pz5/7P
   1tA83MTAIAXSCxBAYAM2Skmtfnf27P//a6f9/2kq8v/vvrX/nxw78X8uP/+y
   aRwc8+7s3PX/w/4t/y+riPx/3F33/zFQ7WRFxS0gvQABBDbgSGjY+/+fXgM1
   s/3/JM/w/60m6//vO1b+f3D4yP+7e/b+f79n0//LClz/T/Ew/D8mwvD/w62r
   /zekpH4A6QUIICZQGDzdu2fNszNXGVg7lzP85mJh+PXlN8PrnBgGga8vGQSZ
   fzE8SY1g+PH+G8MfdkYGme5pDK+ev2W4sXXLVpBegAACu2AhAwP3UqCfQc7+
   vn3l/0cqrP/vSDH8v6HK9v+yMvv/M0IM/48KMf5/tGT2/7unzvzvkpHZVAUM
   dJBegAACuwBIfP325k3CTk/35S95ZRn4pixn+MPNzfDz8y8g/snwm52dQXrC
   DIbv8poMq3y8Nr9/8iSSmYHhPUgvQAAW6dwGABAGguBBhOi/VeTnhME86aaz
   l3E8Kq+qOt0RrYNRwBPTiwVY2SYJEzEC5v+DLYDALgDGNxsLH99M102bE4X+
   fWJ4mhgC9PMXht/MjAx/mJkYfgFdcSM1iYHt1VOG0I2bQrhERBYBDeEG6QUI
   ILABrHx8XY6LFqeJsP1meJISzvDj3TeG3wyMDFJdMxlkpyxi+M3KyvDj82+G
   80mJDIxPHjAELlgQySUsPAGkFyCAwAbIuLrFy5gaMDxKCWL4/uY7wy+gzTKT
   ZjH8UNRi+C4sxaA2az7DXw5Whu/ffjOcSkhkEJKQYNDy9w8F6QUIILABz0+f
   Pvb+5VsGwYxyhj+cXAwyvVMZfqsbMqwLCtyyKsB/zQ8xaQatGbMY/nJxMcil
   ZzD8AIb+3aNHz4D0AgQQOBq7gclytobG4UfAFPb+6sX/tw4e+t8lDY4q7nKg
   D+uAUXxu69b/D06d+n/z9On/LYaG55IZGJRAegECiBFETABmpm8MDJK8cnIz
   ZV3djG9u3HDg05s3mcAo+vQPEksc7Hx8k7VCQrzuHjp09cmdO+lsDAz3pwH1
   AgQQI6XZGSDAAMwho5NFz9QiAAAAAElFTkSuQmCC
   }
  saImages::png CloseH {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAOO
   SURBVHjaYvz//z8DJQAggFhAxGpGRoa/DAyCXKKiM4Vs7aye7dq1/euXz7l/
   GBh+AMVBcsxs7Oy90t4+Ic9Pnjj/5unTtH8MDM8rgZYDBBADyAXLGRiENyso
   bH939tz//0/v/n+2/8D/JSIiy6YzMLBNARowi5d35q2NG/9/u3/r/9Pz5/7P
   1tA83MTAIAXSCxBAYAM2Skmtfnf27P//a6f9/2kq8v/vvrX/nxw78X8uP/+y
   aRwc8+7s3PX/w/4t/y+riPx/3F33/zFQ7WRFxS0gvQABBDbgSGjY+/+fXgM1
   s/3/JM/w/60m6//vO1b+f3D4yP+7e/b+f79n0//LClz/T/Ew/D8mwvD/w62r
   /zekpH4A6QUIICZQGDzdu2fNszNXGVg7lzP85mJh+PXlN8PrnBgGga8vGQSZ
   fzE8SY1g+PH+G8MfdkYGme5pDK+ev2W4sXXLVpBegAACu2AhAwP3UqCfQc7+
   vn3l/0cqrP/vSDH8v6HK9v+yMvv/M0IM/48KMf5/tGT2/7unzvzvkpHZVAUM
   dJBegAACuwBIfP325k3CTk/35S95ZRn4pixn+MPNzfDz8y8g/snwm52dQXrC
   DIbv8poMq3y8Nr9/8iSSmYHhPUgvQAAW6dwGABAGguBBhOi/VeTnhME86aaz
   l3E8Kq+qOt0RrYNRwBPTiwVY2SYJEzEC5v+DLYDALgDGNxsLH99M102bE4X+
   fWJ4mhgC9PMXht/MjAx/mJkYfgFdcSM1iYHt1VOG0I2bQrhERBYBDeEG6QUI
   ILABrHx8XY6LFqeJsP1meJISzvDj3TeG3wyMDFJdMxlkpyxi+M3KyvDj82+G
   80mJDIxPHjAELlgQySUsPAGkFyCAwAbIuLrFy5gaMDxKCWL4/uY7wy+gzTKT
   ZjH8UNRi+C4sxaA2az7DXw5Whu/ffjOcSkhkEJKQYNDy9w8F6QUIILABz0+f
   Pvb+5VsGwYxyhj+cXAwyvVMZfqsbMqwLCtyyKsB/zQ8xaQatGbMY/nJxMcil
   ZzD8AIb+3aNHz4D0AgQQOBq7gclytobG4UfAFPb+6sX/tw4e+t8lDY4q7nKg
   D+uAUXxu69b/D06d+n/z9On/LYaG55IZGJRAegECiBFETABmpm8MDJK8cnIz
   ZV3djG9u3HDg05s3mcAo+vQPEksc7Hx8k7VCQrzuHjp09cmdO+lsDAz3pwH1
   AgQQI6XZGSDAAMwho5NFz9QiAAAAAElFTkSuQmCC
   }

 # Apply
   saImages::png Apply {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIa
   SURBVHjaYvz//z8DJQAggJgYKAQAAUSxAQABxAIi+NqkwZzP1c/ANCMzIwNf
   hAwDgyIzwx/WXwx/2X4y/GX5yfCb5TsDA/NfMyUNyXkvD368/KXlayRAAGF1
   AZ+nPAObOg+K2O/ff9k42Lkq45ws92hwSmn/2vjrCkgcIIDABvz7958ViBH+
   EmBj+P8HwgeJ//j9z0JHWebglBjPNvafHLzbUi5W/r7ypxUkDxBAYAPEZQSu
   sr9n6oCb8Bei+dfvf1ysnKytSS7GhyaFOVocu/yGYXbE0VqGm3/gagECiAEU
   jTozjE5mX/D9z+8nOQkkxh+mwsBTqeZoMNf4/PRHKf9P/C/5H7XH+T+DMmct
   srdAegECCEzwZ+valRxL+DvlUdl/vkCZWcKZmh1J+wP/7vrc+P/g75r/oVvc
   /jMo8dajhxVIL0AAMYII8TQLBmEZti2TC0O8L714yPDnzw8GKzlVhg//XzPM
   332eYX3R8cZ/Dz40YDMAIIAgscDIwPDpDlvPyqPHGYwk5Ri0xWQYHnx/yDB3
   60WGjQWnm7FphgGAAGKBMTh/ch84feDzEXW18zbsHEwMu/a8YdhVfa71z5M3
   dfgSEkAAgQ1gYmYGc37e5O84cenNlh/vGRj21Vxq+fnseS2hlAgQQOAwkLW1
   YeCQEmbg/SLK/PX/0w0vr9669/HRvXxCmkF6AQKIkdLcCBBAFGcmgAADAEUO
   2QydzbZJAAAAAElFTkSuQmCC
   }

   # Guess ?
   saImages::png Guess {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAADSUlEQVQ4jU2T
   S2hcdRjFf9//PubO3Jlk8mrSJNOmsUEoUrqwaIVIV42VIKVY6kZ3PhChuBBE
   FGktii4KQnGhIC4UKgoW+jBFCirV2ibSukhjSEnSTDJpXk1mMo/MzL33czFY
   Pdtz4DzgiKoCcPrbTfnscrFdxDzd12GO+J4MNSe0VTUgXwoelMqVK7OL+fPU
   N399/Uhm9d0XBxRAVJUPv9uUTy+U+3dsc97ev9s9vH/A7e5MG/HjBhRKWxFL
   6zW9OZHPjU4sj2RzCx+dONo7/c5Le9XqOfCWnDpX3JVOuh8ffco/Prgnlt7Z
   YSTTLrSnIO2DHxNijiPd2xJNfiKxdzJb7r06OjvWlmTDGpM32gKNvT/4mP/C
   vl2Os70F9u5U/BgYgVRcaU8pyZiSXTM4rmfKoT8wnSv6v42N/24Xq+aA67lD
   yYTjLOeFHe0R91aVyZywWRFakrCvT+lqhnRCmVwQmlJNjuV1DRU3li7YQSTD
   EjqZlTzYFjwoCUEo1AIBwLUh5SmdTUqksJiHlYKhLm2ZAH/YBjm0FVhm6r4Q
   KRgx/B+P90dk2iJKVfhz2jC7BFP3ha3IN7Z4h+wwinpCMdxbAVVIxUEa5vS2
   hjz/ZEhXM/x4Wxj5S1hcF7KrEOESKj02Gioo1UC4uwSeA3FH2dMbceJwQDoB
   Z0eEL67arBWFraBhBAqEaiwJ5iwJgQZRqUGhAjs7lIEu5Y8p4atfbBY2oFJv
   aASwpIZFfc5IWL6ScKqRY+nD3pFCa1KJxyC7JiwXBFV5yLu2krLzkQTrV4xD
   /qIV5We60xGu3RAocGde+Oaa4fqUUAv+GzVmQ6Y1RKpzM06weNEkrOKNemXp
   kgaFal+H4jmNmLdmDD/dNty8K9QbDYm78EinElZy1Xp+4lLCrNywzp45Xb06
   Oj1eKJW2JxOJRzMdrm1bwhO7I04dD4m7yvi8RVsS+rcFlAsL1dzMz9/H6lOn
   P3nzuWXrh6/PkIyFhWu3ZscKhYJX3qp1+J40e66RUC3uzAulShUTrEXLub9n
   1xfHzrn1ux+cfPVg9uVjB1X+vfPn5+9w8svRllLNO6Am+azleM9YhkwQhIjW
   smFtY8TUcpeT1tr1914bXn/l2CAA/wDwJX+eCtebUQAAAABJRU5ErkJggg==
   }
   saImages::png Save {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAKP
   SURBVHjaYvz//z8DJQAggJgYKAQAAcQCYwhprtxj5qpmrSzwi/HPP2aGf//+
   MfwDuo6REYgZQJiBgYnhN8PlV+wMl448uPzlZoQXUOgTQAAxgLwAwtYFd/4v
   ufALyPz7H0R+/vn//9tv//9/+P7//xegwO//IPD7f/WqO/+lI86C/O0GxGIA
   AQR3AdCUf39+/WP6/4eB4e9/Joa/v4E0kP0diJmA1rOxMjBwMP5lYGLmZuDk
   AWuTA+LbAAGEZMA/oEomBkYWRgZ2kPlIYfvrDwSzMIGUsAAN/AMSZgX5CiCA
   WFBClAniU0YgxcHGwMAM1MACVMEMdM2fvwwM/0ByQDXIMQcQgKoxyAEAhEEY
   xv8/eDLYdjAmnkvpd1DYiBOgZ6RCWkjW1A3mUMVV1nNaAAEEN4AdyDr/gpHh
   5A0Whm/f/zH8/QeylRloCJAGav4HtJSZlY3hMyM7AxvzJ7gBAAEEN4AZGF3P
   PzAwyHz9xBBl/Jfhxx9Ghh+/ITZxcfxnmLvhP8O+B/wMYgZMwDBAeAEggFC8
   8BPoVzWpPwx37/1keAu0JCeCg+H7d0YGHq5/DMfP/mE4/RoSM4xIegACCG4A
   IzDkQAH17dt3hn1H/jC8+czEEO70meHDVyZggP5jYGVhZhAUZmF49wsYwEhG
   AAQQ3AAmVmamP8wMDK/f/WbwtXjH8OU3C8OjZ8zAwAOmAeZ/DDw8/AzC4kwM
   z94xMHACDYMBgACCG3Dv0LmLMszM+o+/PWWQU/jC8AuYmI4cZQBHKRMwAp99
   /8LA+JOJgfc9A8O700eAnmEAupfhH0AAMcLiFOgFcSBlAE1hLATyEEjzIyA+
   DxBAyAawAykBUKATkUuBkcvwDYg/AAQYAHjn+kwv7z15AAAAAElFTkSuQmCC
   }
   # Save As
   saImages::png SaveAs {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAALu
   SURBVHjaYvz//z8DJQAggFhgDEZGRoKKXcQ1uH3dv25h/P6He9aev0lX3r+6
   AxBAcAN4ZOfNUDOSNhPj/M389x8Dw79//xn/M/xnYARiJiYGhu/fmf5rcU3m
   ympXUmF5uYXh0ccfK67sYggGCCAGkBdA2K7k/v91N//+BwEQ+e3f//8ff/3/
   /x3IBlL/L+3r+f/9cTFQ0Pf/x5ti/800uE8C7fUACCC4C/7//ffvx9dfTAz/
   2Bh+/mFi+PGLgeH3XwaGr0C5O4dnM6gr3WfgEHnL8PPDCYbAOK77p268WguU
   +g0QQExwA/4D3cwI5AIROysDAwcQc3IyMNw/tZZBQfYig5jGT4bv73YytC52
   Yzh4LeANUMtzIH4EEEBMyIHEDPIs0NdMwPDkZGdgeHBxP4O48H4GWfV/DN9v
   rmTYsFyD4TjDVAZ2PgFQ1H0AYYAAYkENZyaGP79/MvxlYGN4cv0kA+v3NQzK
   qv8Zfh6ay7DvtAIDn0Evg9AHfqB3f4MU/wM5HCCA4AZwAFknnjExHL7OzPDx
   8y8Gd6azDFGmXxh+b1/GsOSYAMMyoZUM4u/0GV5+AbqUGZx2wPEOEEBwLzAx
   /mN4/JaBQfDPdwYPoZsMJgY6DF+e/2DYf4aHgcNuDsP799oMpy4yMnz9BdUJ
   BQABxITM+gWU1JRmZPj7eCfDphULGfY8sGDgDNnC4BvgyKAo+IGBFRiwf/4y
   gMMIBgACCJESgegP0FefPn5k2H5UgEFM0psh2NWC4d9/FoYnD18xCArzM7B+
   A8bbH1CqRRgAEEBwA5hYWJj+ACXevfvM4OFjwcDDw8zw6uU7sI1///xhkJQU
   YmB5DkkXjExMcJcDBBDcgPuHz12RYmDSufvrOYOpwg+Gt+8YGZ7fYwAn479A
   U97+Ymbg/PCJ4ffnX/++vr72FKjlLygWAAKIEZYbgZlJHEgZALEcssFYAEjD
   JyC+AcS3AAII2QBg0mEQAGIulMDFDn5BDfkCEGAAEkgdYWmcAV0AAAAASUVO
   RK5CYII=
   }

   # Cyrstal Open File
   saImages::gif openFile {
      R0lGODlhEgASAIUAAPwCBCRy5Bxy5CR25JS+7JTC7JS+5AQ2jFSe3CyC1CyC
      zDSCzDSC1FSW1CxqzCRqxEyW3CR2zGSq5GSm3Byi5KTi9Jzi9ESS1Fye5ITS
      9EyO1BSW1GTC7DyCzBSCzDSm5Bx2zAx2vAxatBRavGR+tKzC5Ky+3LTG5LzK
      5NTe9MzW7OTu9PT2/PTy/LzO7Pz6/AQ6lAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAASABIAAAaY
      QIBwSCwaj8ikMsAUKIcDQsFQODwBAkRCsdgyFgwFw0ocNLaORzqtfrjTWEjk
      YZBM7HhKxVJ5YC8RDggIGISGFBmJDlgaDxAXj5GQGxwci1gdggMKmwwDDB4e
      FB+XAg6AIBEgq6sCISB+QqYiIiO0t7iXWCQlJgYnKCkqKSssLbpYKCUnyy7D
      KS0tL8gH1dYHMNdkV9zdBkEAIf5oQ3JlYXRlZCBieSBCTVBUb0dJRiBQcm8g
      dmVyc2lvbiAyLjUNCqkgRGV2ZWxDb3IgMTk5NywxOTk4LiBBbGwgcmlnaHRz
      IHJlc2VydmVkLg0KaHR0cDovL3d3dy5kZXZlbGNvci5jb20AOw==
   }
   # view file list or not
   saImages::gif FileList {
      R0lGODlhEAAQAIYAAIyu5Iyy5Hyq5HSq7Gyi5GSe5Fya5GSe7GSi7ARepPwC
      BJS25LTW/JTG/HS6/Eym/CyS/AyC/AR6/AR2/AR+/Jy+5NTm/NTi/MTe/KzW
      9KzS/KTO/KTS/Pz+/PT+/LTO7Oz6/Oz2/Mzu/BxqpJzC9Pz6/MTa/OT6/OT2
      /BRmnKS+5PT6/OTu/JzC5KTC7MTi/Jy65LTO9LzW9DSO1OTy/NzW1DyW1Ly6
      vPyuVPyWJPyeLPz27Ozq7PyqRPyKBPyODPTy9Nze3Py+dPymRPyqTPz25Dya
      1Oz+/NTu/MS+vPzevPzarNzu/Mzq/MTm/PyOFBRinBRqpMzGxLSurOTm7Pyq
      PIymzPzWpPzGhPzKjPz+9ESW1CR2tDya3Dye5DyWzBR+xAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAoA
      LAAAAAAQABAAAAfcgAABAQIDBAUGBwaICAkKCgsMDQ4PEBESE5gSFI4KFRYX
      GBgZGhulpRydFR2sHh0fHx4gISAiI48krCWuJh8dJycoIimPKh0ryCwtLi8v
      GCYZtwourCAgMDEZsDHcMiYzq7Q0uTWs5qw2ubM0xjesODk6Ox02qygoLLk3
      Nzw9Pj9A6LmYhYLGqhtBgAgZQqRIByMVjoRAgSRXkhIdlCxZwmpGAyYimjg5
      GHCIjycOjUCJkiIKlAAdpEyhUuVfQBuPclo5dwVLFi0dtuR8xMWIjRk2unjx
      YuMLGD+BAAAh/mhDcmVhdGVkIGJ5IEJNUFRvR0lGIFBybyB2ZXJzaW9uIDIu
      NQ0KqSBEZXZlbENvciAxOTk3LDE5OTguIEFsbCByaWdodHMgcmVzZXJ2ZWQu
      DQpodHRwOi8vd3d3LmRldmVsY29yLmNvbQA7
   }

   saImages::gif edit-16 {
      R0lGODlhEAAQAIYAAPwCBHyq/CRm3PzSlPT6/Ozy/NTm/Mze/LTO/LTS/Pya
      DOz2/Nzm/NTi/LzS/Iy2/MSCTPyODPySBPz6/Nzq/LzW/ER63MSCVPySDPyO
      BPyCBOTu/NTe9MyKXPR+BKxOBMTa/NyifBwOBPT2/Ozi3Pzy3PyaZPyKDCQS
      BNza7Py+nOR2RNxqJKxSDPTezPzevNSGZIxaLGRKNCwaFCxatNzO1PzWtIxW
      NDQyJFRWXKTC7JSGdKx2VFQ+LGRmbLTC3KTG/KTC/CRizLS2vBwaFGRiZLS+
      1KS+7JSq3ISaxHSKtBxKlIyKhKSqtHyStHyOtMTW/KzK/KzG/AAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAe8gAAAAYSFhAKCggOCAQQFBQYHCAkBiAADCowECwUMDQ6U
      DxADERKME5wUBhUJFhcDGBkamo8bBhwOHaQZHh+ntRQgIQMZEr0ijCPAJCUm
      J70oiQEjGxsMKSUqKywt0dIFGxQNLi8wMTIzNImD4Aw1NjA3ODk6lowFFAc7
      PD0+P0BBhKwL0GkIkSJGjiBJomTJwA0NmDRJ4sTJEyUNHx4AAQIKqChAgNgb
      RIEDR48IokgJMlKAy5cwXQryEwgAIf5oQ3JlYXRlZCBieSBCTVBUb0dJRiBQ
      cm8gdmVyc2lvbiAyLjUNCqkgRGV2ZWxDb3IgMTk5NywxOTk4LiBBbGwgcmln
      aHRzIHJlc2VydmVkLg0KaHR0cDovL3d3dy5kZXZlbGNvci5jb20AOw==
   }
   # www world
   saImages::png web {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAN2
   SURBVHjaYvz//z8DJQAggFhABCMjI0LEdLmSuo5EroeVlK+mHK/Mv3///529
   /urhtj23Nj0/u20Gw8uFT4CqfsOUAwQQA7ILeH22R9esfPz83ts//3/++/8f
   iMD0p5///1949vt/bM+lhyxq1VFApdxAzATSAxBAcAN4A3dHt+549//6q9//
   b7/68f/V5z//n7z/8//4va//T97/9v/Sk+//z7/8+z9u5qOfLFJB8UAtfCDH
   AwQQ2BRmt83KpsYSU/Ql/zGwMzMwCPGyM4jwMDN8+/mL4ePXHwwfvvxgePr2
   G8Pb1+8ZjFU52dQcfTsYGJm0gFo5AQIIHAZScgJlP/98Frj1SYlB4T8LAyvQ
   h3efvGa4evc5AysTIwM7OyvQoJ8Mtx++YFi5/QzQBjUJAVmL5A+PjjUBBBDY
   AFFBRr9/f/8w3PnMzvDnLtBAzr8MG1bsZHj97AkDOxcXw2egK569+sDw6sN3
   hu+fPjLwf/7GIKnlZA80QBwggMAGsDL+kji3ayvD7bMnGJwCwxi0NOUZhHUc
   GV7+vcBw6sx5hg+vXzIwMjMxcPMLMeg4uzFwcwB9/vKpKFCrEEAAgQ34/+f/
   PzZOYabP7z4zHNy2m4FdMIFBQESawdZfmuHbLzaGayePAQOKiUHPwYdBWk6G
   QYznD8P9E19AWjkAAghswJ//7A94BMSV/vz9z6BlZc/wi4mF4el7oMuAatiE
   ZBiY2PgYlHT0GCztDBmO7jzK8EOIh+HZzdOvQXoBAghswPOXH9bIK6qUqeuq
   MsipSjK8B2oEWgwGGlrKDJyMLgz6RuoMnH9+MKgqiDB8+fCL4eax1eeA0t8B
   AggcjS/ObJjCwi38SE9VjEEKmERk+RkY5AUgtKoEG4Ofhy6DCpBWEGFjSAlX
   Z3h/fc/z7+/vHQBqfQcQQIyghARMyizM4mbeuV1Llvl5qnJ9+AhMq38gLgCl
   cpAtPJwMDAJAQ2dN3ft1XrXXNIb/v/YDhS8DBBDMAJBaLkZ2YW+frK5We984
   1e+/WRi4gJpYgbplxIBu/fiFYUpX74Pja1pXMvz/fQKo/gYQPwQIIGQDQAQP
   ECuyCqpFi6i7OPKIq0v+/fOH4fuLS69fXd914e+350eA8qDM9BCInwHxF4AA
   QjYAZggHEAuC0heU5oTKfQdiYNwwvIbSP0ApACDAALDLTySwZIkIAAAAAElF
   TkSuQmCC
   }
   saImages::png NavBack {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAK0
   SURBVHjaYvz//z8DJQAggFhgDEbGPgYGZkYGBlYk/PuvCq8U97Sf//5d/fX7
   XyFYITcTAwMnE8P/02lgLkAAMWE19h/QVZ9/BTg5y+/dvtjHVUiQQ4Hh7z8G
   BjaowUiOBgggFgzNv/+BDKgtKDKp72iwZv4H9OKPn3+/guWYoYYzMcKVAwQQ
   qgF//7KycrJMmj7VKSMqXo9h1z0GBn3uLwzsrEz6TGxMNYwsQKezMDL8Z2R4
   ClQ9H6QFIICQDPjHxMHJPG3JIo8Ul0ANhrr9QF98/c3g5MTEsHGak873n/90
   /jP9Z/gLVNm34vpvmAEAAYQUiP8zJvY5pbgHazBU72ZguPnyN4Mgw3eGOcd/
   Ab3OyfDjx0+G399/MvgZ8zMoSHB/h+kDCCC4Afa2csVxqfoMjQcZGO68+sPA
   +vs7w8vP3xjm3/3G8P3LN4Zvn74y/PjylUFFRB4YiIi4BwjAJLmdAADCQOxu
   /3Glnq1SXz86QAKBvASCmYmICa8CXWimC6kcicG3qMfAv84SQHADDh1+1Ld4
   zsXJFQl6DPlPfzBce/aVQYjlN0OYAQcDCyMrw8/vHAy/vvMwKImxMewHBSMU
   AAQQ3IB//xinFxQfNBQSZkvq9FNkyF/0geHjhx8MmQ5SDLcefGQAep/hHwM7
   w8v3PxkevPjGCdMHEEBIscD098f3P5kxibv/TJlolzYpSolh+aFXDC8+/GKI
   KDp85fX77ysZuFjACekf4//nMF0AAYSaDpiZf/36+S89LfvA8/xb72srCvSY
   vv38y/Dj19+Lf3/+a2Fg/QsOLAYWRAIGCCDMpMzKBMINEydeCInMOvjk9oPP
   wITEzANJaAyQVIhIiAwAAcSCNS+AFPGwrj+w//HVszffTfj5998tBmagwcAY
   YmAFYhaECQABxEhpdgYIMAAg5wfJTAY9twAAAABJRU5ErkJggg==
   }
   saImages::png NavForward {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAALH
   SURBVHjaYvz//z8DJQAggFhgDEbTWQwMf4CG/fjHwACkWFmZ2jiZmWw+PfuW
   xsDCfIPhN1DwN1AORIPQtwKwPoAAYoIbBXIICyMDAxtQ6O8/Bn5edvnt83xs
   nRzl9zF8+RXO8A+7SwECCNWAv0ACJAI058fPP1/0NYQZdi7xkSwqMFnO8Otv
   M9AFTOgGAAQQ3AtATfGMTEyyYINYmRlYWZhM33z8xXDpCw9DU70do5ayQE12
   wQH5n1/+pDKwMv2EaQMIILgB1vpisypiddg4WIGWAJ3LwcbMIMrLxLD9zG+G
   gw9ZGepi9BjEhDljw6K2/fvx/W8KUMsfkD6AAII7SUaM64e6PB/Dhef/GS5/
   YGW4/JmTYfaxbwwfPnxjuPLsN0PNXgYGW09Vhkl9DvFM//9nw/QBBBDCC8D4
   vPvsK0PfxkcMTBycDNx83AycPFwMgoLcDDy8jAz3XjMytB1kYWhK1GdYsfJW
   FlDHRJA2gABiQQ6QP7//MPz48pWBCRidzEyMoLBk+AmMFRZmRob/fxkZvv/g
   AkYQEwMTMyPc5QABxIJwAAOjlCArQ5KjKAMzGzsDBxc70JPMDCce/2R4/e4/
   g5oME0OFLRfDqqWXGfbvezQLpg8ggOAGPH/znevp2x8MrgaCDIzAmOAA2qwq
   J8BwavZTBlkeJoYuP26Gi4fvMuQWHlwJTCaTYPoAAghuwJFLr3KOX30jA9L8
   //tfBkFedr/ds131HNXZGSLsRBkO7rrNkFVwePW3L7+SgH6CRyNAACG88I9h
   5p+/fyEJ6gcwLFiZxXk4mfVSnUQZemdeZujsO98DTEiVDGzMfxj+IsINIICQ
   ExIQM0LSOhCwszFxP3r2jaFj6sW3u7Y+LAGG6gJQAgPnByQAEECoBoBM/gVU
   wMTE8Onr74chefuPvHv8JYeBi+UiOKNhyQ8AAcRIaXYGCDAAttbxHc5q0wcA
   AAAASUVORK5CYII=
   }
   saImages::png sortImage {
   iVBORw0KGgoAAAANSUhEUgAAABQAAAATCAYAAAHnix0jAAAAB3RJTUUH1gIF
   EjoehalixAAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
   AADXSURBVHjaY2BABxPu/fpvYmLynxHEATFQpTe9/tJnsuXLf0aYFFZ1LFCa
   kYEQYETXeubMGUagef//3/r//z/YMUDboGaaMkaZomoHWfQf3UgGiJP+/wc5
   FmYMzCgwRnM7XhcCHQT3z38G/IARqvA0Q932r/0aItyF2+7/BossufYLItXg
   QDBMyAOMsOgBWQtio1t9xoeHEdnXOD0DjgIGEmJxWFlNWoBDTP1PKGHgAKYo
   trKgyDV8Jd28BlQukoGmjOiS5AAkA0+T7WUGpKAb9TLlXqY6AABduIIfxmti
   2QAAAABJRU5ErkJggg==
   }
   saImages::png shuffleImage {
   iVBORw0KGgoAAAANSUhEUgAAABQAAAATCAYAAAHnix0jAAAAB3RJTUUH1gIF
   EjsYddH2sAAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
   AADGSURBVHjaY2BABiYmJgy3/v//b7Lly39GIOc/VJwRVcmEe78Q0sjqYICR
   BVUTHoBVO8whfSDHgGyDOQhDO8giDO1Alf//LzvN0A/kFG67/xssuuTaL4h0
   gwPcS1iNxAZY0Pj/8Sg8TZTV1AeMoAADWQviYLEabi22IEcNfiRfE+VYpODB
   73vkAP9PpIn4nUB9XxMf4KBkRrIuMDDFaiPE0w1fSTevAacLiUvfxAIW7MKn
   yQ4GFpxyZAYDLbxMvvcY6BHLVAcA9KJnrZhGCz8AAAAASUVORK5CYII=
   }   ;##
   # Modern tree image
   saImages::gif treeImage {
      R0lGODdhEwATANUAAISq5ISq3Hyq3AR2xLTW/KTO/JTG/Hy6/Gyy/Eyi/DSa
      /CSO/AyG/AR+/ARyvKzS/IS+/GSy/ASC/Hym3Nzm/NTi/NTm/Mzi/Mze/MTe
      /Lza9Pz+/JyanPT6/Oz6/Oz2/OT2/Nzy/Lza/OTy/PT+/PyWJPRmJJyenPSW
      HNTu/NTy/Mzu/KzW9Mzq/MTq/KzW/P//////////////////////////////
      /////////////////////////////////ywAAAAAEwATAAAG/0BAICAABAIC
      QCAgAAQCAkBgECAUDAdEQrFgABvCodABIDwMkEhCsZBIiEPHhFKxVCyVyuWC
      uWQwmYwm4wBsNpxNZ9PpeDwfDwgU+ogGgU2HswF2PJ2P5/P5gEahkMgB2Gw4
      pM7m0wGVSiUTaBQSOSabzemz8XhAHxQKZQqFUiIHoEPidDwdkOcDRAlNI5VK
      NAh0OicgRyj8mEwmU0q1EjkAnQ7H8+mAQKPPaKRSpVQsx6Tz4Xw+I9BINVKl
      VKlUiuAAeDocD+gTAo1QQBTKlEq1CIOJB3T6gEIj1QiFQplSLRfBAfh4OKDQ
      JzRKoVAok6W1ejkmHxCHc+JwOCqTyThkcrWALoIDAAKFQKGQapRKpSyplsv1
      GkwyIoxGoxERNBoCgfAisF6OgcPhGDgGjoFjAHQIhQNhEAA7
   }
   # Smaller Modern tree image
   saImages::gif smtreeImage {
      R0lGODlhEAAQAIYAAISu5Iyy5Iyy7Hyu5Hyq7HSm5Gyi7GSe5GSe7GSi7ESa
      7AQ2XPwCBLTW/JTK/Hy6/FSm/DSW/AyG/AR+/AR2/AQyVJS65Mzi/MTe/Lza
      /JzK/KTK/JTG/IzG9IzC/Fy2/Jy+7Pz+/MTCxOzu9PT6/PT+/Oz6/KS+7OTq
      9Ozq3PTSpOzGnOzOxNz2/ITG/Ly6vOT+/PyCBPx+BPSSbNz+/Nzy/Mza5Nzq
      9Nze7PxyBNT2/HzG/Jy65LS2vLS6xLzK1OzS1OyWdOS6pNTy/ITC9Ly+xOT2
      /NT+/NT6/NTu/OTWvPSeNOSihMzu/KTC7Ly6xOT6/OTOpPySBMzy/LTO3OTC
      rPxqDOSSbMz2/HzC9OTu/NTe5OTS3NzO1AQyXGSq5IzK/IzO/IzK9HzK/AQ6
      ZAQeNAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAwA
      LAAAAAAQABAAAAfigAABAgMEBQYHCAcJBwYKCwwCDQ4PEBESExSamhMVDBYX
      GBkNGhscHB0dHhofniAhIiMhISQhJSQlJiQdniewKLQlKSorLC0kLq4hLyMl
      ITAqMTIzNDW8DL4iNjc4LSsxOTM6JDuePCE9PT4+P0BBM0I6Q0S9IUXNJCZG
      NEdISdbmSvi4YaSgkiVLmOhoUo6BkxJPbpSAQiOKlGlThjwIqG4dlSpWrFzB
      0iSLp4datuDYdoNLFxxDWrjwwuCLAzBhxIBx4WLMjh1ZXLRisKCCUS9ejlZI
      WoFMGQZQo0qdCtVPIAAh/mhDcmVhdGVkIGJ5IEJNUFRvR0lGIFBybyB2ZXJz
      aW9uIDIuNQ0KqSBEZXZlbENvciAxOTk3LDE5OTguIEFsbCByaWdodHMgcmVz
      ZXJ2ZWQuDQpodHRwOi8vd3d3LmRldmVsY29yLmNvbQA7
   }
   # Tree image + filter + hatched-circle
   saImages::gif filterImage {
      R0lGODdhEwATANUAAISq5ISq3Hyq3AR2xLTW/KTO/JTG/Hy6/Gyy/Eyi/DSa
      /CSO/AyG/AR+/ARyvKzS/IS+/GSy/ACAgPRmJHym3Nzm/NTi/NTm/MTe/Lza
      9Pz+/JyanNzy/Oz2/Lza/PT6/ACzs+z6/OTy/AAAANTu/NTy/KzW9PSWHMzq
      /OT2/MTq/Mzu/KzW/Mze/P//////////////////////////////////////
      /////////////////////////////////ywAAAAAEwATAAAG/0BAICAABAIC
      QCAgAAQCAkBgECAUDAdEQrFgABvCodABIDwMkIgEOBEKJcCGUOigVCwXyWQC
      lAiFk4kEk8E4ABrNZjIZDiWTCafjGQQ0n8kECBIOhZPJhONxADSayYRInEwm
      HI+DoplMJhoiCDgRDj0OwEf4CX1AoKFQJPQMAh/hZrPZDEdCktDjAHyGnSEI
      JBKVhiYH5TMcgkCgEqk0JDgAoQ9wIuxwQCDQ6SScoAgDSiglnHBEIBDodBJO
      VAQHoBPaCCccEAh0Ek5QK5aD0kltNkKhUDhRoVQEoAOQSnFSHA5wIhReSCiV
      ijWgYDytTCbjIWQyBAKBRTCxHAOHww0xcAwcA8cA6BAKB8IgADs=
   }
   # Tree image + filter
   saImages::gif filterOff {
      R0lGODdhEwATANUAAISq5ISq3Hyq3AR2xLTW/KTO/JTG/Hy6/Gyy/Eyi/DSa
      /CSO/AyG/AR+/ARyvKzS/IS+/GSy/ACAgHym3Nzm/NTi/NTm/MTe/Lza9Pz+
      /JyanACzs9zy/Oz2/Lza/PT6/PT+/OT2/OTy/JyenPRmJNTu/Oz6/AAAAPSW
      HNTy/Mzu/KzW9Mzq/MTq/KzW/Mze/P//////////////////////////////
      /////////////////////////////////ywAAAAAEwATAAAG/0BAICAABAIC
      QCAgAAQCAkBgECAUDAdEQrFgABvCodABIDwMkAhQIhxKgA2h0DGhVCxAiXBI
      lFwwFwcgk9FsNkXhZsPpeAaBzEcD3AiHxA2H43EAMhkNqEgMiTgexySTGXUy
      RSGJwyl5HIAPSPMxfYgnFEmUSnkGgc9npNFoNEMSCUgqpVQeB+Dz0Zg6n9Bm
      sxGJUqlSauWYfDqaTkcU2mw2qVKqVCoRHADTR2MKdTibzQaFIpVKLAJwMDGF
      Rp0QR7TZbFAoUonVIjgAHZMmxOlwNpsNCkWysFQux6QT0mhGGs1msyGRSC1W
      i+AAhEIcYIjDSW02m5KlxGq1XIPJxR/zwmAwHgIGQyAQXISVyzFwOBwDx8Ax
      cAyADqFwIAwCADs=
   }
   # Append to bottom of queue
   saImages::gif appendImage {
      R0lGODlhFAATAKIAANnZ2aUqKv8AAAAA/wAAAKbK8ACAwP///yH5BAEAAAAA
      LAAAAAAUABMAAAOAGIqgy60YEji6vISgIaFYiqarBAgQEmi6vISgIYGkywwI
      EBIIutyKIYGgy60YEji6vISgIaFYiqarBAgQEmi6vISgIYGkywwIEBIIutyK
      IYGgy60YEhM4ujyEoCEBGFGFpqsECBCCoYqmuwQIECiqEUi6C4CAoRsIutyK
      EQi6zAkAOw==
   }
   # Replace all in queue
   saImages::gif replaceImage {
      R0lGODlhFAATAKIAANnZ2aUqKv8AAAAA/wAAAKbK8ACAwP///yH5BAEAAAAA
      LAAAAAAUABMAAAOIGIqgy60YEji6vISgIaFYiqarBAgQEmi6vISgIYGkywwI
      EBKAgaDLHSgBEQi6zIGCoYqjuwQIECi6gaarBAgQKLqBpqsECBAShKFIugyA
      EBIQGAi6zIESEAi63IESEzi6PISgIQEYUYWmqwQIEIKhiqa7BAgQKKoRSLoL
      gIChGwi63IoRCLrMCQA7
   }
   # Insert into middle of queue
   saImages::gif queue {
      R0lGODlhFAATAKIAANnZ2aUqKv8AAAAA/wAAAKbK8K3Y5gCAwCH5BAEAAAAA
      LAAAAAAUABMAAAODGIqgy60YEji6vISgIaFYiqZ6d0gAEIKBp8tLCBoSSLrM
      gAAhgaDLrRgSCLrciiExEzi6TIAAIQEIEYWmendIABCCcRcSeLpKgAAhERgh
      Eki6CoAQKLoaCLqMoSsSCLq8gzMhgaOrhKA6GhiFpnp3SAiqc4eBp8uEoIqk
      y42gy+0PH0oAOw==
   }
   saImages::png dropdownImage {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAKb
   SURBVHjaYvz//z8DJQAggJgYKAQAAcQCIhhNZkF4IMcwMiTYGEjMlBHl/PHv
   H8R5jIwMjE/ffOc8cuFlFlDNHKAaiPIzaQwAAcSCYhxIPSOjQlO6MZuViTTb
   o7d/Gf78/sMgxsPIcP7Kcwb3/F3y//78A5sIAwABxILuJJAUK+Nfhh13GBjm
   nvrH8P3LD4ZIHQYGRaa/WL0AEEAscKf/A5r8D+KHv3//MXz79ofhw8dvDN8/
   f2X4+pWF4R83UP7vfwgGKWOCuAIggMAGsLIy1fNxc6j9/P33CyszozkrCxPD
   r58/GX5++QrE3xh+/WBnYOVjYhAUZPf7+eufODsrI/enr3/uAbXWAgQQ2AAu
   dha7DT2uTlqK/AzvPv9mEOdnZjh1/BvDjy8Q/OHjXwYVI0GG7b1OejwcTHqP
   Xn9niKg9chikFyCAwNH48e23vKZZZ1/xcAI1vmBiyFj1iWHn5U8MDD+/MzD9
   +s6w7dRrhoC2ywwbjj5n4OVkYuhZeu3th9ffckB6AQIIkg44WK7uPvCwqHrq
   GQZHJSaGn99+Mtx58oXh91eg879/Z7j54D3D968/GIKsxRgmrLrNsOfQk2IG
   dpZLIK0AAYRISJwsS3sWXGrfsv8uQ3sAP4MEx2+GN2+/MLx585lBkvs/w4xs
   DYazN98z9C653sPAzrwQlhYAAghhAChUmRhr87pOLb904yXDhDgpBgWB/wzy
   AowMs/I0GZ69/c5Q2H92NTCtVMJiAAQAAogRlBfgKREEfv/l4OJkndOZbxTt
   oC8CjtLDl98yVEy+sPLrt99JDKxM3+DpDpgSAQII0wAQ+POPjZmRIdfOTDKT
   kZGR6eDJ5zP+/v8/kYGF6SdKwgUaABBAjJTmRoAAojg3AgQYAHnJBA0tqzy8
   AAAAAElFTkSuQmCC
   }
   # Find Next
   saImages::gif findImage {
      R0lGODlhEAAQAIYAAPwCBHSi1ISu3Hym1HSizGSWxHRujFROdJS65LTW9OT2
      /Pz+/PT+/PT6/KTK5DxmjHRylOz2/Oz+/Lzm/BxGdIyKrHSe1Lza9Nzq/FSK
      tExKXGxmjERCZIyy5Lze/KzW/AQuVDwyRExKbDw+XLTW/KzS/JTC9DQuTMTq
      /MTi/LTS/KzK/KTG/KTC/Jy+/BQuRKzG/Jy6/JSy/Jy2/DRmpAQOHEx+rJSy
      9Iym9GSK9FyKpIyCBDxypHSi3HyW/DxuxFxqfPT+dPzmbHRCBAQeNCRelBxS
      jBxWlBRGhMRyDOSiLNzCnOzCfFxafIRKDMSGNOTGlIxODOzChIROBJSOrMyO
      RLRyFHRulJxeJGQ6BCQWBAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAe6gACCAQIDBAWCiQYHiQgJCgsMDQ4PiYIQAAgRCwsNnhIT
      FIIVghYXnJ4KGBgTGQAaGxwAHaieqx4eHyAhIiMAAxGpGB4kJSQmIAAnJwAB
      KCnQKiUrLC0uyYkvLRcJJTAtMTIzNDWWADYeKi0tNzg4OTo75gA8Pew4Pj9A
      QUJD80RFjBxBUiOJkiVM/AlqMk+QkydQEloS0TDKEylMplDB1FBQlCpVrFw5
      QJFhwylYsojgwKyjIC0A/AQCACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYgUHJv
      IHZlcnNpb24gMi41DQqpIERldmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJpZ2h0
      cyByZXNlcnZlZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3IuY29tADs=
   }
   saImages::gif pinit {
      R0lGODlhEAAQAIYAAPwCBNTW3NTa3Ozq7IyOjOTq7MzOzJyenKSqrNzi5OTm
      7LSytFRSVISChPTy9Ly+vERGTMzW1BwaHDQyNKSipOzu9MTS3Ly+xLTCzNzK
      bMy6lGRSJMSSfKSCfEQaHNyuDPzqXPTibPzmTPzeTPzCPPSmJOyKDLROBIQy
      BEQiDOS2FPz+bPyqHNyCBKxaBIQ+BHw+BFwuBPz+VPzuVPzSPPy2FOSSBMRu
      BFwyBGw6BPz6PPzuTPzePPzGFOyaBNR2BJROBHw2DEwuBPzeLFQyBOSuHPzq
      LHxCBFQuBDwuBFwqDMSWJPy+DMx2BLReBIxGBGwiDHxOFIRSDGQaBFwOBAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAengACCAAECAwSDiYMCBQYHCAkGiosKCwyCDQ4PkwAKCRCJ
      DxESkwMCE4kUD6SKFRaogxcYrIkZGhuJHB0eih8gISIjJCUmJygoKYkqKyvA
      JCwtLi8wMYkfMjMiNDU2Ny84OdWDHzo7PD0+P0BBQuHWOkPcN0AvREI44oJF
      Rj02PydHciBJgkNJoiVGmPho4uRJkBgxoBhMFEUKjCBQoEyhwpGTx0l+AgEA
      If5oQ3JlYXRlZCBieSBCTVBUb0dJRiBQcm8gdmVyc2lvbiAyLjUNCqkgRGV2
      ZWxDb3IgMTk5NywxOTk4LiBBbGwgcmlnaHRzIHJlc2VydmVkLg0KaHR0cDov
      L3d3dy5kZXZlbGNvci5jb20AOw==
   }
   saImages::gif unpinit {
      R0lGODlhEAAQAIYAAPwCBOTi5Ozm7OTm7MzS1Nza3Nze5OTq7Nze3KSurJyi
      pMTGxOzy9Ozq7IyGhGxmbIySlKyytLy6vOTq9ExOTFxeXDw+PLyinKyGhNyu
      DPzyZPTidPziTPzWPPyuHOyOFLxaBJQ6BHwmBGQuFOS2FPz+bPz6fPzuZPzi
      XPzKROSGBHw+BGw6BPz+VPzuTPzmTPy6FOyWBMxyBIxGBGw2BFwyBPz6RPze
      LPzGHOyeBNR6BKxaBHwyDPz6POSOBJxOBEwuBOSuHPzyNPzGFDwuBMSWJPzq
      LPzCDLRiBGwqBGQeBHxOFIRSDFwSBGQOFBQGBAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAeigACCAAECAwQFBoOLgwcICQoKCwiMgwwNDg+CEBESlQAT
      ERSLCwQVlQoOjAIImp+MjxavixcYp4MZGhscHB0eHyAhIiOLJCUmJygpHiog
      KywrixktLi8dMDEyMzQ10bg2Ljc4OTo7LDU1PNI9NzA+Mj8rNUBA3oJBQkMx
      5TPnREAsFhUxcoQckhArkgBRom7REiYreCRRoqRJEydPZmkE4CcQACH+aENy
      ZWF0ZWQgYnkgQk1QVG9HSUYgUHJvIHZlcnNpb24gMi41DQqpIERldmVsQ29y
      IDE5OTcsMTk5OC4gQWxsIHJpZ2h0cyByZXNlcnZlZC4NCmh0dHA6Ly93d3cu
      ZGV2ZWxjb3IuY29tADs=
   }
   #  Hide window
   saImages::gif arrowhide {
      R0lGODlhEAAQAIYAAISu5Iyy5Iyy7Hyu5Hyq7HSm5Gyi7GSe5GSe7GSi7ESa
      7AQ2XAT+BLTW/JTK/Hy6/FSm/DSW/AyG/AR+/AR2/AR6/AQyVJS25NTq/Mze
      /Lze/LTe/KTS/KTG9ITC9JTG/IzK/JTO/Fy6/AQyXJy+5PTi7PRWXPzKzOzy
      /Pzq7PT+/Pz+/Oz6/PxudPSapKTK9PzCxPQeJPQ2PPRaZPSmrOz2/OxWXPQG
      DJy65PS+xPQWHPQCBOyutOz+/OT6/OxibNz2/ITO/KS+7OT2/PQ2RHzK/OTy
      /Nzy/NT2/NTu/NTy/ITG9OyWnOw+ROwyPOS2xNz+/OxebOxWZNTW5ITK/PTC
      xPwCBOSmtOT+/ORebJTG7OSirNT+/OxqdOzG1OTi9Nza7OyarGSq5JTS/HzG
      /AQ2ZAQ6ZAQeNAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAwA
      LAAAAAAQABAAAAfqgAABAgMEBQYHCAcJBwYKCwwCDQ4PEBESExSaFRQTFgwX
      GBkaGxwdHh8gDh4hIiMMJCUmJygpKisrJSwtLiGfLzAxMjM0Kyw1NjM3LR6Q
      OCs5Ojs8PT4oMjs/QEGfQisuMjI5PUNDM0Q2JUWvJCsoKiw+RjVHQEhJSkvd
      xizk9PX3jnj41I5JEydPoABREsWJlClUCPaoosPKFSxKkDixkgVJkU9aKMqw
      sYWLEgxSoljpMpBBhxIzvKD4wuLIETBIuoSh8krMGFZUqHgYSoUMGSoiIC0Y
      UWaEBQsjnEodYeYMg6tYs2q96icQACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYg
      UHJvIHZlcnNpb24gMi41DQqpIERldmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJp
      Z2h0cyByZXNlcnZlZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3IuY29tADs=
   }
   #  Show window
   saImages::gif arrowshow {
      R0lGODlhEAAQAIYAAISu5Iyy5Iyy7Hyu5Hyq7HSm5Gyi7GSe5GSe7GSi7ESa
      7AQ2XAT+BLTa/JTK/Hy+/FSq/DSW/AyG/AR+/AR2/AR6/AQyVJS65Mze9MzW
      9LTK9KTO/JzO9JzC/IzK9IS+9Iy27Fy2/PyipOwiLPQ2PPSutPz+/PT6/PT+
      /Pzu9PReZPwqNPxOTJy+5AQyXKTS/PSOlPwCBPwmLPTS1Oz+/Oz6/ORqdIS+
      7AQ2ZOxyfPQmLPQiLOTK1OT+/OT6/KTC7PS6xPRyfOzu9OT2/NyyxOTy/OTq
      /ITC9Nzy/Nz2/NT2/ITG9KS+7NT6/NTy/Nz6/Oy6xORufMzy/NTi9JzO/PQq
      NOxufPwCDPSSnNTu/PQmNAQ2VPyirPSuvPxOXGSq5Iy+7IS67HzC9AQeNAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAwA
      LAAAAAAQABAAAAfsgAABAgMEBQYHCAcJBwYKCwwCDQ4PEBESExQVFROcFgwX
      GBkaGhscHR4fIB8dIZ8cIiMkJSYnJigpKissLS4MLzAxMjO1JzQ1NjErNzgM
      GzA5Ojs8PT4+OTE5KiCQPykmQEFCKEM1RDlFRke+LbU0ND1CQ0g+SUpKS59M
      KO/H80VKmjh54kGfEBpQcghJgkQJkShSpjz4RAVGkCojqDlRYuWKDRUAmnnA
      EmNajyxOpEhJpuXGll9cZJDo0mNIkScYdHn50OxLBzBhbngQM9QDgBs3Qvha
      4AKHCxcWnlqwgKMqjjEMsmrdyjWrn0AAIf5oQ3JlYXRlZCBieSBCTVBUb0dJ
      RiBQcm8gdmVyc2lvbiAyLjUNCqkgRGV2ZWxDb3IgMTk5NywxOTk4LiBBbGwg
      cmlnaHRzIHJlc2VydmVkLg0KaHR0cDovL3d3dy5kZXZlbGNvci5jb20AOw==
   }
   # APL find a file
   saImages::gif findfile {
      R0lGODlhEAAQAIYAAPwCBHSi1ISu3Hym1HSizGSWxJS65LTW9OT2/Pz+/PT+
      /PT6/KTK5DxmjOz2/Pz6/PT2/Oz+/Lzm/BxGdHSe1Lza9Oz6/OTy/NTm/FSK
      tIyy5OTu/Mzm/Lze/MTa/KzW/AQyVGyi1LTW/KzS/JTC9MTq/MTi/LzO9KzG
      /KTG/KTC/Jy+/DRahKzO/KzK/Jy6/JSy/Jy2/DRmpAQOHGyOxEx+rLTS/Iym
      9JSm/GSK9FyKpIyCBHyGlDxupHSi3HyW/DxuxFxmfPT+dPzmbHRCBKTK/Jym
      tCRGZBxWlBRKhCQqLLRyFOSiLNzCnOzChOzu/LzG5HSGnFRypCQWBIRKDMSG
      NOzCfMze/Mza/LzS9Iy2/IROBOTGlNzq/NTi/Iy6/IxODMyORNzm/JxeJGQ6
      BEyK5FyS7FSO7ESO9AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAfVgACCAQIDBAWCiYoABgcICQoLDA2LggYOCQkPCxAREhOL
      FBWZDxYXFxgSGYsapAsOGxwdHh8giiEWDg4XGxIiIyIktokhJRgmJiMnKCkq
      K8OCLCQdIi0uKi8wMTIzijQ1HTYoKzA3ODk6O4otPD0+KjE3P0BBQkNEiUUP
      RkdI/klKljBp4gQfgBQJnkCJEqShlClUqjixgs8FhA1XsGTJckKLoC1VuDjZ
      UgRCFwxevHi48iURmDBhllgU4wXLFQ8eWibaMoZMGTNlcpQZegbNoikA/AQC
      ACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYgUHJvIHZlcnNpb24gMi41DQqpIERl
      dmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJpZ2h0cyByZXNlcnZlZC4NCmh0dHA6
      Ly93d3cuZGV2ZWxjb3IuY29tADs=
   }
   # APL find a folder
   saImages::gif findfolder {
      R0lGODlhEAAQAIYAAPwCBHSi1ISu3Hym1HSizGSWxJS65LTW9OT2/Pz+/PT+
      /PT6/KTK5DxmjOz2/Oz+/Lzm/BxGdHSe1Lza9Nzq/FSKtIyy5Lze/KzW/AQy
      VLTW/KzS/LTS/JTC9MTq/MTi/KzK/KTG/KTC/Jy+/BQuRKzG/Jy6/JSy/Jy2
      /DRmpAQOHEx+rJSy9Iym9GSK9FyKpIyCBDxypHSi3HyW/DxuxFxqfPT+dPzm
      bHRCBAQmPBxWlBRGhMRyDOSiLNzCnOzCfIRKDMSGNOTGlIxODOzChIROBMyO
      RLRyFJxeJGQ6BCQWBAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAeZgACCAQIDBAWCiYoABgcICQoLDA2LggYOCQkLmw8QEYsS
      E5mbCBQUEBWLFqObphcXGBmKAw6kFBcaGxwdsokBHh/BHBsgISIjvYIkIhMH
      GyUiJicoKSqLKxccIiIsLS0uLzCVMTLcLTM0NTY3OJU5OvA7Kjw9Pj/tlYtA
      QUL3+YtDghD5UeSfoiFGjBwxqKgIkiQMFSkB4CcQACH+aENyZWF0ZWQgYnkg
      Qk1QVG9HSUYgUHJvIHZlcnNpb24gMi41DQqpIERldmVsQ29yIDE5OTcsMTk5
      OC4gQWxsIHJpZ2h0cyByZXNlcnZlZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3Iu
      Y29tADs=
   }
   saImages::png refresh {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
   NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAO+
   SURBVHjaYvz//z8DYxAjA4MkAwT8YwJiIP8fMwPDXyBmZGBh+MewjuH79xkM
   TDzbGH6xMoDxFwaG//teMgAEEBNYE0wzGPwHavzLwPDnFxD/ZGD4+v2PibyJ
   am1Q2zrm3ywVYHEkABBALGASqJ4BaBnDbwYeIBkqL6Rix83Cxw92zbefDEYS
   plJZYV7sKoqS7SX9HTqvP7xKZmBg/QnSChBAjGAvZDCCDDGwVbFfkuQepc0m
   8ZPhD/MPqB2MDMyMTAwPmS4x8HHzMIjctGbIb2mf9erNywygF/4DBBDEBX8Y
   5Ny03Dclh4XK7v69gkH0jzgD3z8hhv///wH1MzL8//eP4fqnBwxM7P8ZQngd
   GLhZ+eUY/r8CawUIILABQjwijR7WzrK9D1oZgnnjGF5c+PH72rMHj/8xsPxn
   +PWbQU/OWNbGUZHt9ws2htrZc8/cf3YnCWjyf5BegAACG2AjbxP8keUDgwmD
   E8P1w68+Ltg13YOBhfkMwz9WJoav/xmean+4ki4Sq9oyv2/5y3fP0hjYOL4w
   /IU4HiCAwGGgWq71xlzegpnxDzPDxgs79n3+8ToYaAAw+lj+MHzgZ2BnYTv0
   8/vv9Qz/fk5m+P2XFRhALAzMnP//H7z/BSCAwMbceXFL887D64zAUP/LwMTy
   mYH5fzgbM3fmr79/PIEu/f7zx29vhv9/PrPz8EwLsfD1Z2RgYjhz/RowgBhk
   AQII4g5m1tdAa8DxzsPO09sX21u0+vjmF7sPr/vH8B8YlX+YPzN8/q7iax3s
   n1ZuLgWMMwbWVh5wggAIIBZ4ivj7k1dJRGNFfXKpl7wGL4PDG3sh5q//TzMw
   c/9j/M3AqCguL+8QoMq/8MlUBs+/qQx7jp3cAdIGEECQdJDEwSDGLj6/P7s5
   YSfLYoaP3z4x6PAaMzAxMYJTJiMQfmb4wPDw1y0GH/4ohj3TXn1etmmN9f9L
   ty8DBBDEBb+YGf4y/v/y4cMXho9sPxjefP3M8BOYBv6CkygEcDOKM9h/tGJY
   P+PGs80HdicysLJdBokDBBDEBeGiQH9+YxfjlJ6XERwXJa7OyXBz15fvRy4c
   O8HAzPWP8R8L4/dvfz7fefr42K8vnxYzsHM9Z/jzm+H/2asMAAEEMcBfhoGB
   DZi9fjAxsP7jrsnzTqs7cv3c65PnjkgzsHAB8wjQof+AmAmYC/8zQ3Lr3z8M
   /89cYQAIIIgBUsA8ZA1U8JsdaAiQ/sngxcTCXQRMwf7AaPzK8IcFkrXB2Rya
   3b9+Zfh/5TYDQIABAOY0bNzhWJ8IAAAAAElFTkSuQmCC
   }

   saImages::png filter {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAADZ0lEQVQ4jW2T
   XUxbZRjH/+/5aHtOaaU99tCWr63jK4yhAwZeTNN4YfRmFwYT5QbvvGBxw8TE
   aORCo2jivFlMVEyERBOQoEDwKyEmBALGLBsMt2Db0a2lYnuKLf0+b0/7eqEs
   ivtfPnn+v+RJfg9hjAEAxsfHSTAYtFksFqeqqrKqqibGGEskEqVisZgr6frB
   YwMD+tDQ0N+Ff0LGxsZ4Smmj11v/pMfjHQBwUhAEhyxLktlsYYLAZ6vVqlYq
   FX+LxWIrCU3b6D93LuX3+xkACDU1tr729vbXFUV5olyu2HVdJxzHEYvFAqez
   FjabjVFqMJ7nn2loaHwhEo0s3NzeftPv96fmrs8RMj391UdtbW0v6TrlQ6EQ
   stkMFEWB1SpDEHgwBlBqwO12w+v1olDIZzd+Xn9uja3+tPn7pleoVAzNMIzS
   2tqqdWZmGh6PB729PaCUIplMQtM0xOMJuFwuXHr5ElRVzVeqRkqH3u2yudr4
   s2cfDfE87xIEoRNgAqUUOzs7CAQCyGQycDqdaGk5hdOnO+FxuxPxRPzKNfFa
   xOPyDDssjl+Ejo6O2J3d3SutLS3ukZGRp+12O3d4eIhCoQCz2QxFUSDLMnK5
   XGFza/Pz5eTyKm0uvyLx0n5BL2xxg4ODzOlw7CSTB+/+eXAQNokimpua4PP5
   0NDQAKfTCVEUq5FIdGUlurIYtAVf1CulLprV5/vqe9PkyINPJyY4k8n0VNOp
   xg+VeqXDYaolAhFBCDECwcDy7PbsZNAeuFgVWU8X6xoLx3evzl9eoMKREI4z
   texW+NewzEmxStFoT+fTxCN5EIlG7i7dXrp7g12/mMln+luF1o394v7c/OUF
   CgD3AYs3F3mOw3k5Kz2SgcJl81nIFRkbt9atW+Ubz2osqTQLJ3YIIR+4Hno4
   et/EoxPe//Y9sn57vQ1gb1ht8vMGZ4iFYg77+T9gNpthrdRo5qw0aojG7A9j
   P9L/AQBgeGKY0+5p3YSwr1PcwUlB5tF3oh+qqB5G92KfhLXwO9+9/X3mP7/w
   bwAAjL46au/s7lwyasrnd+N3iGqv282X8ldDidDkF699mcaxCMcHtFiu2ERb
   uudMD/PV+qqT30x9lkJqYuqtqfzx3QcCaqxWfW9v72NJku7tRaMUGmYuPH6h
   UFdb96A+/gIDh44eGkHYrwAAAABJRU5ErkJggg==
   }
   saImages::gif iconthumbsup {
      R0lGODdhEAAQAPcRAAAAAIAAgAAAgACAgACAAICAAIAAAMDAwMDcwKbK8ICA
      gP8A/wAA/wD//wD/AP//AP8AAP/////78KCgpP/w1P/isf/Ujv/Ga/+4SP+q
      Jf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+Pa/9zSP9XJf9VANxJALk9
      AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf8AANwAALkAAJYAAHMAAFAA
      AP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYAMXMAJVAAGf/U8P+x4v+O
      1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U//+x//+O//9r//9I//8l
      //8A/9wA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr/7hI/6ol/6oA/5IA3HoA
      uWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA/0kA3D0AuTEAliUAcxkA
      UNTU/7Gx/46O/2tr/0hI/yUl/wAA/wAA3AAAuQAAlgAAcwAAUNTj/7HH/46r
      /2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw/7Hi/47U/2vG/0i4/yWq
      /wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v//0j//yX//wD//wDc3AC5
      uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/qgDckgC5egCWYgBzSgBQ
      MtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCWMQBzJQBQGdT/1LH/sY7/
      jmv/a0j/SCX/JQD/AADcAAC5AACWAABzAABQAOP/1Mf/sav/jo//a3P/SFf/
      JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/a7j/SKr/Jar/AJLcAHq5
      AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf//ANzcALm5AJaWAHNzAFBQ
      APLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaGhnp6em5ubmJiYlZWVkpK
      Sj4+PjIyMiYmJhoaGg4ODiH5BAEAAAEALAAAAAAQABAABwhiAAMIHBgAAACC
      CAkCiBDhYEKECw84fDgw4kSKBSMcUHCRIoCNHSsajMix48iRB1Iq4FiRoUaQ
      KWM6PDlyZUyQGRmqBGBzp0CaPHvizLlz3k2WP08ajYn050uOK0smBGoQYUAA
      Ow==
   }
   saImages::gif iconthumbsdown {
      R0lGODdhEAAQAPcRAAAAAIAAgAAAgACAgACAAICAAIAAAMDAwMDcwKbK8ICA
      gP8A/wAA/wD//wD/AP//AP8AAP/////78KCgpP/w1P/isf/Ujv/Ga/+4SP+q
      Jf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+Pa/9zSP9XJf9VANxJALk9
      AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf8AANwAALkAAJYAAHMAAFAA
      AP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYAMXMAJVAAGf/U8P+x4v+O
      1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U//+x//+O//9r//9I//8l
      //8A/9wA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr/7hI/6ol/6oA/5IA3HoA
      uWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA/0kA3D0AuTEAliUAcxkA
      UNTU/7Gx/46O/2tr/0hI/yUl/wAA/wAA3AAAuQAAlgAAcwAAUNTj/7HH/46r
      /2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw/7Hi/47U/2vG/0i4/yWq
      /wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v//0j//yX//wD//wDc3AC5
      uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/qgDckgC5egCWYgBzSgBQ
      MtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCWMQBzJQBQGdT/1LH/sY7/
      jmv/a0j/SCX/JQD/AADcAAC5AACWAABzAABQAOP/1Mf/sav/jo//a3P/SFf/
      JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/a7j/SKr/Jar/AJLcAHq5
      AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf//ANzcALm5AJaWAHNzAFBQ
      APLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaGhnp6em5ubmJiYlZWVkpK
      Sj4+PjIyMiYmJhoaGg4ODiH5BAEAAAEALAAAAAAQABAABwhjAAMIBECwIEGB
      CAdGOHBAAYAIEA8mNAhgHsMDERE+XNiw4sWOAykqGHnRYYCNHB2SZGiSIsGV
      LAGchJgSwEeTIQ2WxDmx4EKHMhMKPQly6MSfQY0qPJBU6UymTjUybOpUotCA
      ADs=
   }
    saImages::png coverart {
      iVBORw0KGgoAAAANSUhEUgAAABgAAAASCAYAAABB7B6eAAAALHRFWHRDcmVh
      dGlvbiBUaW1lAE1vbiAxMyBGZWIgMjAwNiAxOToyNDo1NiAtMDUwMAdE7SsA
      AAAHdElNRQfWAg4AHSa/zZggAAAACXBIWXMAAAsSAAALEgHS3X78AAAABGdB
      TUEAALGPC/xhBQAAA41JREFUeNrFVEtv3FQYPfbYM/bEnUzazhBNkFCUQEBJ
      q/SxAqGqEIFUCRYpUhbdsGDBDokFGxasokoswhIkFu3PaImqLlpFVRawSCNI
      aaI2ymsyIzOel+0ZP7jnTu4QsWRBLX32vde+5zvf+c418CqvTCaTapqW6rqe
      ium1/4Kh8bayspI6jkNAGd1uF67rolQqIUkSiAQQiVAoFLC4uIgwDOXmfj+C
      bTnopxGCuA+vHUA3RqAjg3bTxYXpimasrq6mCwsLaLfbME0TQRDIzXEco9fr
      DSNNU9TrdWxsbGBiYgK5XE4k6OPZs6ewHBs9XUOtEaDhRXj44CGWbt6QOIZt
      2xLAMAwJyiuKIrRaLcmcCcmYBGZnZ5HP52WFTJi3Lcy/8xZe7O+i43dhmVm0
      GlVcvXQRI3Z2kIA3AjF835fgJ/rLhGbWhPuXiytXLstEm0830Wp64tsO0iRG
      Zewc3pieRHgUwIg1vHv1IvRUQ6dVGyQgm7W1NVkFAVk2WbMiP/AhBMLHH32I
      ftTG1uYf6Pkx3FoVdXcPhTELXrOJI1Ht1PSbqL94CSebkf2KguY/FTTFRwTl
      C15kymRhECJnmSgVz2Nvbw9m/iwerf+G5ds/oDRRQf34JZa/+wph/xijxTE4
      I3n43UEv0zSRWDoZ0ymUhLpSIhVxFGOqMiWaogm7GUjNEXz9zTI++3IZX3x7
      F+Pzt/DzT3ckIOWlzOyVwpIVkDXZcoGJOGaodcPMDdYSIZZIaFgZIWMPO88P
      MD4+ie3fG9JRJESy29vbMmgSWQFBlS1PA0tHifGBW0Osi2ZbKSplG9feexvw
      tjBXEVVWf8Wnn9yQ/eM+Pg8PD7G7u4tqtTqoQDFncHx6zjg4PkJbNJuuKdga
      7v74Pe7fe4zG4Ro+vzmP8+ccYduOBKM8ShpF3CBTBabOwXAuwu908OfWc0xN
      vg636iKfM/HB9ffRaB/DFZ4P/QTlclnKs7OzM8QY9uDfjE8nSDmPEjx5/AR5
      4zrOnDkL1/MRxj3oohepOCOOYQkzJFIWz/MkMOUaVqB+BbQpu8+xapjsjRhz
      7f7qL5ibu4DXyuMwMuI/5PdgxjkB2sT+/r4MAjO4d1gB/yujo6MSXL1Q4GpM
      +yk796NwcPIFkGlkUSwWkc1mMTMzM5SHz1rt5CSvr69jaWlJbuoIvQnCCtST
      HmcFBGEShjrxym0kwgYP3XdyeP+X629sV4dB/jyTJQAAAABJRU5ErkJggg==
   }
  saImages::gif paste {
      R0lGODlhEAAQAIYAAPwCBHSSxJyu1DxOdPS6RPTSjPTOdPzSfKyijMza9PT2
      /Nzm/ISChNyeLOSmLIxiHPzCZPTy5Pz2xKSqtFx6xHSOzFyG1FRWZPyODPRq
      DEQaBOy+XPzmvMS2pIx6bIxyVIRqRKxmLOxaBDQSBPTq1PzqrPzupPzijPzS
      ZOyuPOSWLNR2HNRuJMRmJEQuLPzq1PTirPzObPyuLLSabKzK/LTO/KTO/BxK
      hPTCbPzalPzWfPy+TPSeDLSSXNTq/Mzi/LTS/FSm/AQ6fOy+ZPTalPzKXPSq
      HLyabMzm/LzW/IzC/DyS/ByO/PS2PNTi/MTa/Mze/Jy+/Fyu/PS+ZPzmxPzO
      dPTCXLyedKzO/JzC/Iyy/JS2/GSy/MTe/HS6/PS6TPy6RLyebKTG/PzqtPzS
      bPzCRLyqhHy+/JRSLIROJIxKHIRCHHRmbLzq/Lzi/LTa/Lze/GS6/AQWNARS
      pARKlARKnAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAfagACCggECA4OIAAQFBgcICQoLDA0OD4gQERITFAEVARYX
      GBkagxsRHB0MDB4fICEZIiODECQcJSYnKCkqKywtLqUvMDAFMTIzNAk1NTY3
      gjgcOQU6Ozw9Pj9ANTRBQgBDHERERUY8R0gLSUlKS0wA0DkxBE1GRz5OT0lQ
      UVIAU1RVrMwzcgUJFCxZtGzh8o4DhB0Dr/joQiNLlCxeAGyA8QVME3phkHQR
      U5FGxipjdJBBUaSMGR9JaIiZeUYQmjRq1uRk0wabmzdw4iQaJGcOnaN16MwZ
      yhSRn0AAIf5oQ3JlYXRlZCBieSBCTVBUb0dJRiBQcm8gdmVyc2lvbiAyLjUN
      CqkgRGV2ZWxDb3IgMTk5NywxOTk4LiBBbGwgcmlnaHRzIHJlc2VydmVkLg0K
      aHR0cDovL3d3dy5kZXZlbGNvci5jb20AOw==
   }
   saImages::gif copy {
      R0lGODlhEAAQAIUAAHyu/Hyq/CRq3PwCBPz+/Ozy/OTq/NTi/MTW/ISy/CRm
      3Pz2/Nzq/OTu/Mze/LzW/Iy2/Gyi/Cxq3PT6/ISu/MS6/Ly6/HR65LTO/KTC
      /JS+/Ozq/OTe/MS+/HR63Ozu/MTa/KzK/JzC/Jy+/PTy/Hx+5Mza/KzG/KTG
      /PTu/Ozi/NzW/MzC/LSu/HR+5Oz2/LzS/PT2/Ozm/LTS/NTO/MzK/MTC/NzS
      /NTK/OTa/AAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAMALAAAAAAQABAAAAa0
      QEBASBQMjshjgFAwHBCBhCKJBBAWBgZCwTVSl4WGwfGARCTUAWCyaDTIFIqi
      YqlclBPxAZPRQBQbHBUdHmoFHwcgISEiIwokHCWSFwELDiYIDxgnKAopKiss
      LS4ALwcmIDAwJycKMTIcHRUlAQUODiAIMyGtMis0NTYlAE4gJqqsCr43ODgX
      XNDRChwcKzc0JWkVCzLdOTk3N9lU2zIq1Cu/d+QpsLAc4eNJFyUe9Rf29H5B
      ACH+aENyZWF0ZWQgYnkgQk1QVG9HSUYgUHJvIHZlcnNpb24gMi41DQqpIERl
      dmVsQ29yIDE5OTcsMTk5OC4gQWxsIHJpZ2h0cyByZXNlcnZlZC4NCmh0dHA6
      Ly93d3cuZGV2ZWxjb3IuY29tADs=
   }
   saImages::gif cut {
      R0lGODlhEAAQAIYAAPwCBPzaBPzuBOR+BPTyBOzSDPSSBLySFIR2BPyiBLSG
      DPzyBNSyBPzSBMSuDPyeBJxuBPziBNSqDOx6BPy+BPz+BPzOBLyiBNTOBPSC
      BNyONPSCFOS+BMyqDOTiBJy25HSm3Mze/FSa3MReFPyuBPyyBFQiBOT6/Iyy
      7Mzi/FSm/BweJJQyBIw2BGQmBNz2/KTa/NTi/Eyi9Jy65Kzi/BRuxDyCzNTm
      /Fym9JzG5Kze/EyKvBR21FSSzGSa1ESW9BQyTAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAA
      LAAAAAAQABAAAAd5gACCgwECA4OIiQEEBQaJjwACBwgJkIkCCgiOAAsMlg0F
      Dg8QEQoSE5YUFQYWFwAYGZYaCRscHR4RqI8fICEiIyQlGSa7JygpKissLS67
      LzAiMTKWADMnNDU2NzjUOTo1ADvS1Cg8gj3b1ObnISDUiD4/QO+D65B+gQAh
      /mhDcmVhdGVkIGJ5IEJNUFRvR0lGIFBybyB2ZXJzaW9uIDIuNQ0KqSBEZXZl
      bENvciAxOTk3LDE5OTguIEFsbCByaWdodHMgcmVzZXJ2ZWQuDQpodHRwOi8v
      d3d3LmRldmVsY29yLmNvbQA7
   }
   saImages::png info {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAADEklEQVQ4jYWT
   S2hcdRTGf+d/HzO5dxInTdOmTadNrEEKGuuiiyjRlY2PIKUgSqEuixRBXBRE
   lFIJigqCIF240K1ikUKb0iwKImiJydKaSkqSZsg0k6SZuZOZO3Offxe36daz
   O8/vO+fjiNYagKmfd+TyjeZeEfXSUL865eZl4glH79E6xmvF2y2/PbPywLtK
   tPP7+VOlrU/OjmgA0Vrz+S878u01/8nD+6yPTjxlv3ZixD64v6jEySkA/CCl
   Wgv1XwteZW5h42a5svbFB6cPLX387qg2BscuyGc/NYeLBfvL0y+4b794LFcs
   FgyxTEXRESxTCBOF22XK4QGnx3Wc0X/L/qFbcyvzfQXqxry83xfr3MXxZ9x3
   jg9bVidS7LSF7i54bhh6HVjZgPW60AkVPW5O+Yk7slRpun/M3/nTbAZqzM7b
   EwXHsjY8YddsA1odiBJY96Ba280IPd09lpEfmGjWq9fMOJVJSazSpgemkZXk
   TAhi2G5BnMDaNvjh49lsNhSR9JVi3EkT5GQnNtTiupBqUAJD+2D8GBwdgCSB
   K7dhdhE0kGpYXBc6qatMyZ80kzQdTERxfxO0hu4uqPtQdOH5YchbEKWw3oA0
   hUYbyluQYpNoBk10okETxMK9atbgWHCgN1vDNuHhDixXwQ+gE2dAGZ9EK0Pi
   VUMSIEu0w4xBs5PR1TprrPvQjjJfAENCDKJVJYk/41hBahn68ZFSndHlUShl
   F/WRQqam2/RSiWszysK7bqTe8sFiim3yv5YzobQnQYLVZSt+cF05RnM2alen
   ddwIhvo1eQsGinB8GPJ2Ju2zpUyZLhuO7tck7UoQeQvTjtqcNb77Ziq4Nbd0
   p9FqHSg4ztOlftsc6hdGjwjLVfi7DCKQphpLxfiNtaCy/NuVXLQ49dWHb26I
   1prLv96Viz8ulCKKF7q6B97o7d17JJd3lRYbARQBQdtLa1ur9/3a3WkzvPf1
   pXMvl8+feUXL7jt/f/UfLv0w19sK82NaFV43zPyrWlOCBNFhOQnrN1VYuVEw
   Ht7+9L3J2rm3xgH4D4hNawgAY0m3AAAAAElFTkSuQmCC
   }
   saImages::png preferences {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
      NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAOT
      SURBVHjaYvz//z8DIyMjg5WVJYuurslSCwsb9y9fP//av2/3hiNH9te9evXq
      LQMDw28GHAAggBhABsCAn1/I9o8ff/wHgQcPXvxPSko/yMnJKQeUYoWpCQkJ
      lm5r65jp4xM4FcjlAQggsAFRUbF9bm4eGUABKX//0LMvX376//fv//+XLt35
      b2Rk0gwUFwdiZpABq1evPnrv3pv/6uo6i4FcDYAAAhuwePGa3/v3n/qvo6OT
      AxTUz8kru/fx4/f/b99+/R8WFn0cKKYHxFwpKSmOS5eu/xUcHHsFyI8HYkOA
      AGIBmcrIyMSgq6vDUFnZ3NvX1zZBVFjk/+fP3xmYmVkYPnz4yAFUIuDr62uu
      r2++paQku/3582engGJfgfg1QACBDbhw4dw9c3NLNUNDY7a+vlllAgL8DB8+
      fmJgYWZj0NM3FH/x4pGNm5tfYU9Px3Sg5t1ALd+A+BkQvwcIIEaQFyQkpDKn
      T18yTV1dneH3r58M/4Bi33/+ZuDl5WJgZfnHsGf3XoapU/uX3rhxdSZQ02cg
      fgzEH4D4L0AAMTc0NDCUlpZcP3nyKJekpLQhBxcfy9vPXxmerpjL8P7KWYbn
      HDwMXBxsDF+/fv178+b1Q3///r0P1AiK2r8g1wMEECwamYBYGBgYIUKCQr3y
      gkJLVyYl/DqXkfK/zTfg/6t3n4EB+uV/XFzKMTY2NmXkaAUIIOR0AIomASlg
      yE5wsD3+sLf9/3Fj3f8TeHn+H9l/7P8fYLQ+fPTqf1h4zHZQdMMMAQgglISU
      xsKity0p9v7nVYv/X7Yz/R/EzvogJzb165UrD/8/evT6/8+ff//fvv34v59f
      8EqgcgkgZgEIILgB6QwM2vvyMp/93LX5/wNv+/9NvJygQCri5uVrnzd/7Z87
      d17+f/jw5f9nz97+P3nyyv/AwLBloAQGEEBgA4BJUHJ7XMSt/0d3/38R5vZ/
      gwjnP25GxmlABQGgRCQkJFK3YuX2/3fvvvp/5Ojl/7duPfsfEBhxFyhnAhBA
      YAPmGelu+btn4/9PyYH/z0hx/5djZt4AlIyEpkA+IBaUkpLp3Lj50P/r11/8
      Dw+PB0VjCRBbAwQQ2IBzfo5//hfF/L+swPtfm4VpB1AiFojNgVgIGkMgLKSm
      rjUzOjrlITD3lgH5XkCsBBBAYAOyWJkapgixP5JnZlwBFIwGYksgFoVlIKRY
      EgFiWyC2AWJQdHICBBgAT3qHE7FBk7cAAAAASUVORK5CYII=
   }
   saImages::gif delete {
      R0lGODlhEAAQAIUAAPwCBMS+xLSutKymrJSWlJSOlNza3OTi5NTO1Ly+vLS2
      tKSipJyWnIyOlISChGxubNTW1PTy9MzKzMTCxLy6vKyurJSSlHxyfFxeXFxa
      XKSmpPz+/LSytKyqrJyenJSWnIyKjFRSVERCRMTGxOzq7JyanERGRLy2vHx6
      fIyGjPz2/ExGTHRudGRiZNTS1KSepHx2fISGhHRydIR+hDQyNAAAAAAAAAAA
      AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAAAALAAAAAAQABAAAAal
      QIAQEBAMCIWhEmA4IBKKBaPheCwhEcmEUllYLI4LJjPUbCQBTsfzAVVDouFg
      ZIiQDBKOoHQxmYYeEycKHQMlBSAoGSIhSgUUkAslKW9/ShwqERwDXhYPIStL
      HBERAh1eBQ4slkMcBwemJWAOLY2XBi4cGi8WIDAtrEIcLgibJSAxMBnBABxo
      ApIgKTLLohQCar0zn3FLCwsdLwwziiI0S+jpQn5BACH+aENyZWF0ZWQgYnkg
      Qk1QVG9HSUYgUHJvIHZlcnNpb24gMi41DQqpIERldmVsQ29yIDE5OTcsMTk5
      OC4gQWxsIHJpZ2h0cyByZXNlcnZlZC4NCmh0dHA6Ly93d3cuZGV2ZWxjb3Iu
      Y29tADs=
   }

   saImages::png mini_prev {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAABR0lEQVR42t1SsUoDURC8
   vffuvMddEgw5uODlIBhSWIl2ttraiFa2dlr4D/6RhZ+gH2EZUgjKBYwmt3u7
   zyrhHSim1e1mZneYgfW8Pz/KBZ1OZ5Dn+bEx5qCqqjdmfnf1MAy3tdYJM3+u
   ON9daLfbg6Ioznq93qXWesfV4jguRqPRdavV2nP5hgEz+1VVhYgYisha63a7
   ++Px+DZJkkNrbSO1doGIKEQ0iBhZa30AgH6/f5Ln+QUApESkfzPQiBghogGA
   aDgcnmdZdsrMMRGpuq5DEfnZgJnXCZgZiOgDET1rbcjMQV3XwUYViMgws0wm
   k4f5fF5mWXallNpl5o0qGEQ0q6hlWT4tl8vXNE1vgiA4stY2bvxvKmwRUeDy
   i8XieTqd3s1ms3sRYVeDxlcplSul9okosNY+ep730lgGMAAQiUjp/Z/5Ahb3
   vkqS4ONPAAAAEXRFWHRTb2Z0d2FyZQBTb2RpcG9kaZTjF9AAAAAASUVORK5C
   YII=
   }
   saImages::png mini_play {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAABIElEQVR42tXSv07DMBAG
   8LPjVCaOWkVRM5SJhoGlAlUsjN0YeQFeELHAK/AALOxMDGmTIShJlZzPx9JK
   pSD1z4L4Ruu+n04nA/z7eNsPSZJcSClV13XVUcB4PJ6laXqLiNg0TcbMdBAw
   HA4ncRxfRlE00VqfNk2TIeLnIcCVMSYlop7W+mwwGEydc7BcLj+Y2e4E4jie
   GmPOrbWKiJQQIgrD8FprnbZtO0fEYnNebgPMrKy1PhH5ROSvoCAIgpt+vz8T
   Qvib82obcM6pVVmukbqu3xeLxWNZli/M3O0C/NUGqm3buiiK5zzPnxBx/tsR
   fwDM3LPWemVZvmZZ9lBV1RsAuD2+BAAAiNFodJ8kyZ3neWbf0rdIKU8AQBxV
   /pN8AeJ2k5nsdQjRAAAAEXRFWHRTb2Z0d2FyZQBTb2RpcG9kaZTjF9AAAAAA
   SUVORK5CYII=
   }
   saImages::png mini_pause {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAABJElEQVR42t2PvUpDQRSE
   Z/cmuXs3FgEVQggipFawstTH8CV9E3vbFBZGAno1xJy/PTYRwhWMljrdGc58
   zAB/XtXuEUII4/H4fDQaXVRVdUJED3VdH0wmk8uc81kppRKR5W6m1wHE6XR6
   nVK6WiwWbdu2dznnw9lsdrNarU7n8/nter2+383ETqOgqn0iSsw8cHe4e2Dm
   moiSmfU6//hiiEhdSski8g4glFIiMzfMnH8KGJhZIyLJ3YO7V8ycmLkxs/63
   AHeHqtYAMjPXAPDZgIgaVe3vaxC2ExoRSQCCu/9ugqomVR2KSLNtFZk5M/PQ
   zAb7AE5EbyKyVNUlgGJmutlsnonoyd1fu4DQNWKMR+6e3V0BPALoxRiPSyk9
   AC2AF/wvfQBnEc4N1w7fgQAAABF0RVh0U29mdHdhcmUAU29kaXBvZGmU4xfQ
   AAAAAElFTkSuQmCC
   }
   saImages::png mini_stop {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAABJ0lEQVR42tWSPU4DQQyF
   PTueaSJElS5wBzrOkKNwAu5Gm4o2Nd1GIc1GySrj7PqPZiNtRJaGBiy9wpLf
   p2fLAP++wriZzWb38/n80czA3YOqBlUFdw/uHszMD4fDh4i0Fw+OAYvF4mm5
   XL6qKooI9n2PzBxFBEUklVJktVq97Pf795sAAIgAcAcAyd0xhIAAgKfTKRIR
   Nk3D5/M5jg1XADOrVDUNQmbGzWYDdV1713XQdV2lqtUkwN0vgCwi2DRNqOva
   iQiZOTOzunuYBDBzKKUkIoq73Q622y2UUjIzp0FqZtMJ2raF9XqtRBSJKI6M
   Y8B0AhGpjsdjumFMwwri7tMJzKzq+z4Pw98gZuY/PhIiPuScn929MrMrDcdT
   AHgDgM9fPvBfqi9BWBTe8BVT0gAAABF0RVh0U29mdHdhcmUAU29kaXBvZGmU
   4xfQAAAAAElFTkSuQmCC
   }
   saImages::png mini_next {
   iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABmJLR0QA/wD/
   AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAABVElEQVR42t2SMU4DMRBF
   x16HjUOIdkOdVapIaeEGFFDTgrgFh+AIdJRwAFpuwAGAA6SIFKwNwcqOxzMU
   JNImJKFEYjr/+fP0ZX2Avx614S0/TEo1kiRpAYAQ0ScAxOUuqRuzLOvled6f
   zWbjNf243+9fdzqdE+/9KxG9L3e6bkzTNBsOh5dFUZxqrRu1BB1jzEBrPVBK
   2frNCoCZNTMf9nq9i6IorowxBws9qaqqiYgpM6/cmDWAQcQmEdlut3suIsVo
   NLplZo2IFhFJRLYDRCRBREtElohSa+1ZnufovX+pqqoZQojrCfSGBBYRW4jY
   Ksvy2Tl3T0RxodmdCRaA/RCCKcvy0Tl3G2OcKKWOENGGEOi3P9ibz+fknLub
   TqcPIjKvgdtEFEQk2QoIIUzG4/GN9/4JAHipxxg/mPmNmREA/K4m6vphvSIA
   0Ibvlk4BgOD/zBeOAdrbW/6uEQAAABF0RVh0U29mdHdhcmUAU29kaXBvZGmU
   4xfQAAAAAElFTkSuQmCC
   }
   saImages::gif transparent {
      R0lGODlhEAAQAOYAANnZ2Yyu5Iy25Iyy7Hyu5Hyq7Gyi5GSi7Fye5GSe7GSm
      9ARepLTW/JTG/HS6/Eym/CyS/AyC/AR6/AR2/AR+/Jy65NTm/NTi/MTe/KzS
      /KTO/KTS/AxipPz+/PT+/Oz6/Oz2/Mzu/BxqpJzC9PT6/OT2/OTy/Nzy/BRm
      pMTm/NT2/BRmnMzKtOTSxNzi7PzCLPzGPPTCZPS6BNyqVOTGTNzCRKSGRPzO
      FPy2JOTOpPTWNPzeZPT2tPzmZOzONOz+/OS2jLyiHPz+9Pz+7NS2LIRCDNzu
      /Mzq/NTa3PTKTPz+1PTmbNSmNBRqrNSaLPzmFMySJNzOXPzCJIxSFPyiHP//
      ////////////////////////////////////////////////////////////
      ////////////////////////////////////////////////////////////
      /////////////////////////////////////////////////yH5BAEAAAAA
      LAAAAAAQABAAAAfcgAECAwQFBgcICQgJCAoLAAACDA0ODxAREhMSExIUCwAA
      FRYXGBgZDBkZGhkaGxwAABUdHR0eHR4eHx8gHyEiAAAjHR0kHR8AJQAmACcA
      KAAAFR0kJCQAJQAnACYAKSIAACMdHR8AJQAlACcAKgArAAAVHSCAAIKDgywo
      giMdACWEAC0uLzArghUeIIQAMTIzNDU2NzgjHgAlhDk6Ozw8PT4AFT8lhIJA
      QUJDREUADUYhR0eDSEk9SkpLTAArTSsrKyIoK05PUFFRUE9ShIQAUwAvLwBT
      hISEVFSDgQA7
   }
   saImages::png menubutton {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAB3RJTUUH1gIF
      DjULetDA9AAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
      AAIySURBVHjaxVNLaBNRFD1vksnfplnYNiq0FREViWLFiJ+CBXGnxZVuxF2t
      qRHrSqQIXViQVCtF+1UUGj91U0H8g7+KNDRYE1NbrJ+W1liT2PxmJpNk5jlF
      jASCSjdeOFy43HPefdxzYWVvzyg4iwUGs1Dir1AXrFZ1Hdy2vqxr2WJ9SpYp
      nS8RAjITFvSDI7OH4a3r/bMAUNFcV6XZsnGpZioiIZvJosRE8PptELuOPiyX
      /zYBUcASCfcngEseGUIyhf1rgUpG+scvyDIkSQbPZxGN8RASHDhODdmovC3R
      wgKsvedUkVGzUsxISVZF7KyaQVoUISY5BTzSKS3YIgYWi3a3uP1yqZYlxjiX
      /ZgTMGjV1QOunTVrKs34nsig1KyC5xWPVPInojEJKzZYcK+1xmbSMbapkIB9
      TYMvcmuMRXhnc7f3m0mvEL8yONQfxwN/HBAFMGkBdz0h1J72Y+BlEIv0DFzu
      0Ug0xDf89kHAEXj0dLLx5IVh7FjOQORFTEwnkeGU8QUB45/nIHAp7N1agrb+
      93j8fPq4wvHlG2mswe264mu58+QDWmrNKNNlEI4kEQ4nYDVSdDpWwTs+h9a+
      dy6MOq4WdiJDmpxnPNd9Y7NoO7AEFcUU5cUE3c7V+BIRcOyc9xYoPZHrL3gL
      tos6g72nr/2al/oDk3TE94m2u4epcXPvDdg6DHmemRdQ8s1gZk9jnsi6Do2K
      4Ej1Jms9IYR5NhTslCg9jzf1Yl7ff7/GH8jC9/QHS+HMAAAAAElFTkSuQmCC
   }
   ##
   # Hand created from linux distro
   #
   saImages::png player_start {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAB3RJTUUH1gIF
      DREFbsayDAAAAAlwSFlzAAAewQAAHsEBw2lUUwAAAARnQU1BAACxjwv8YQUA
      AAH7SURBVHjaY2QwnLw1xlfHiwEIlmy9VcBwNn0iAyFgPFNfRIBjgr6qsAET
      w78/4i52agwgDAQCBDTyA/H8wnjjC2eWhzsYaUsIsIDE738gaCdIc76DpVJD
      bYa5gLwkL8M/RgaGz78YGCAGvMer0V5BQXRBQaK5grm+FMOrrwwMRx8zMEjx
      MjB8wWuA8Ux5Tm6OBb7ehg5R/roMzz4zMOy8i5D+z4BkAMhUFH8yMBQYWuk0
      RAUbM3z8y86w/jqm+ezMSF74jxA3EJGTfuAfZifAxc/LsPMhA8Pvf9h9xsyI
      5AK4IBtbgHecN8O1twwMvz5BxBhxBM1roKv//GVgYEIW/P/n57+zdz8z/PpL
      RKxAAYoB/76/mXdj1fzNz8+eZWD6+5OBHeg+NhyYFYiZmKBeYIV5hF30yZ9T
      6YXPnke4vb/lXqVqY2msoK+O1WYhLqA3WKEGiPCiyH1heLxi3ffHK45cel6a
      9uK6TaaRs4mUlJIUqgGcwDBjxm4ADLxiuNnd/urN0bU7rrsWaNg5RDoFWvLy
      8LKDJTmBmn8zwAzgwxlGfxneHrsOxLk33p9d9viya7GFu7Wvk58xOBy42PG7
      ABn8Yni+5eDX51su7H2eFnD5uHWlX7SdOsgARgat+pkMrALAIGHQZGDhKgZm
      54NExJ4kg3ppMgOHJC8AdVmlW25+xLwAAAAASUVORK5CYII=
   }
   saImages::png player_play {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
      NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAIi
      SURBVHjaYvj//z8Dg/HM+e452+4D6XgGEgFAADFADdj/9tv//wu23/+vHLhq
      P5BvT6x+gACCG3Dzzf//t4D4ztv//9N6zvwXcl48HyguT0g/QAAxwRhvvjEw
      HH/CwHDqKQNDeJAxw8wO/wRnB40LQEPq8RkAEECMIBcwmszav2BumsODDwgJ
      dmYGBmk+Boa7t58xLN9w8cGt648LGM6mb0Q3ACCAWGCM558ZGO6/R5W88YaB
      QZhHiiE7W0rh4JGbG7ZwLjzw6/sPkEEXYWoAAghuwIsvDAzILoABkNjZ5wwM
      YvLqDPmVCg4bt1+5cIth5gKgFMigjwABBDfgx28Ghq+/cAQ0EH8Byt17z86g
      Y2PMIKmplnBu56GAzx9z1QECCG7Az794AgpqCAg8/MjA8OziLYbvL+4eZrgz
      mQEggOAGfALawMaCP8pe333A8OjooZs/Hx9tZ7g3awNQ6CNAAMG1CPEwMPxh
      wq7x8/vPDBe37f/87vqRLoab3XNBYQ6TAwggFAP+MaNq/PnjJ8OpXWcZbh/Y
      NYvhxfbJDO9OXQcKo3gWIIDgBnByMDCIsCIkju2+zHB256ED3+/vaGB4vuUs
      KByxuQ4ggOAG8HADMZC+dukZw8aFe5+9u32kCujPLUCht/jCBSCA4Ab8//aZ
      YeHsY5+vHjkyneF6ywSg0Ct052IDAAEEScpGU4IYvj+zYni5azHD+7Mgf/4i
      NjMCBBgAN0nhHHa/aDIAAAAASUVORK5CYII=
   }
   saImages::png player_pause {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
      NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAFj
      SURBVHjaYvz//z+Dfdrm/3ZGUgwwsHrn1ZM3N8TbAZm/wALGM+1jvdUOyEvy
      wtW0zDq+jeF8rh9AALGAOLpaUgzRIcZwyeOXHrPcZGBggxsABC72agxmeghL
      WmYcFgdSnAABBDbg1RcGhssv4XIMn34yYIB774GqX2KKAwQQxICvDAxXXuE3
      4D7QgP+vMMUBAoh4Az4wMHzBYgBAAIEN+AjU8OgjQvD7b0yFIG9+/4gpDhBA
      YAP+QzEM/MdUh6EGBgACiImBQgAQQBQbABBAWA1gJMEAgAAChwEL0Bh2FiRT
      sRjLyoKqBgYAAggsxMPJwCAphBB8wIqpUBiYikWFMMUBAghsAB8HA4O0IEKQ
      gw1ToSgvqhoYAAggsAG8QBdII5nOicUFIryoamAAIIAgLkAzAJsLRPiwGwAQ
      QGAD1i07vm3dEnDugoDfH86iqXvQWrFmJ8P/fyKI5Pp4M5D8CxBgAGC8WTtY
      6yi5AAAAAElFTkSuQmCC
   }
   saImages::png player_stop {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAB3RJTUUH1gIF
      AA4xivDbdAAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
      AACTSURBVHjaY2QAArvUTf/tjKQYSAEts45vYzif68cC4uhqSTFEhxiTZsCM
      w+JAihNswKsvDAyXX5KkHw4gBnxlYLjyaiAN+PiTgeHRRwoM+A/F5AAmMvUN
      IgPAYcACNIadhQIDeDgZGCSFKDCAj4OBQVqQAgN4gS6QpsgFFBjACCYNJ29l
      +PdHnCSd3x9vZrjV1wUAo7UkPLXyJE0AAAAASUVORK5CYII=
   }
  saImages::png player_next {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAB3RJTUUH1gIF
      DQ8DU+Qo5gAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
      AAIkSURBVHjaY3TO2PL+4u23F958+FHAcDb9IgMhYDwzP8ZbbQKIuWTzlW1M
      RtoSAmeWhzsUxhtfAErOB2J+AkYIuNipMYAww78/4kyffwFpFnaG7Ghjhr0L
      IxMcLJUegGzBZ8L9DxAMAkxfgAbcfc/AcPQxA8MXFl6G9nIXgQmNPhMUgtfd
      Bxpkj9WA9xAMAiwgA55+ZmB48AGhQExcimFCa6DCso2XD2zmXnjg+9cfCcDw
      eYhsAAywgLzw/DOqIIytZqLL0GSu5rBs7dkH5xlmNgCFwIH36iuSASAX3H6L
      6gIYAImxMrEz2HhaMRhZ6TZsXHWo4M2jpwf+I6lh+vOXgeE10MSvv7Dj9z8Y
      GI4Bw+faV14G7zhvAWY2tgBkS5gIxjsU/AJadPbuZ4b/f37+QxZnYQIawcrC
      wMDGglvz758/GZ5euMLw6sLRzf++f34JFEqBG8DBysAgxMPA8AeHWx5cvMlw
      +8jxs9/v7mxjeLxiFzBqi1mRLGNhZoYY8I8ZVeOze88Yzu098+zVlSPTGW52
      zwIFPkxOhBfJgN9AgpMDKMgKEfjy+SfDvvXHP984dGA5w8vdExjeHrsFFP6L
      bDiKAVzsDAw83MAw+MPAsG/TWYYTO49u/npvdy/D8y3HQWGHzVsifGgG3Lzw
      gGHT0kM3X9082s5wb9YGoPhHfDGC7AJGBv2+ToYfwLR4s3sukP+cYHyC8sef
      b71A1nWG3x++AQCUHukgbj0ArAAAAABJRU5ErkJggg==
   }
   saImages::png timeSlider {
      iVBORw0KGgoAAAANSUhEUgAAACAAAAAICAYAAACYhf2vAAAAB3RJTUUH1gIM
      BA817ofJegAAAAlwSFlzAAALEwAACxMBAJqcGAAAAARnQU1BAACxjwv8YQUA
      AAH0SURBVHjapZO7bhNBFIb/uex64vU1tuMIW0YOSEhcJUByUiUSIBRRIKUE
      kYqnACp4jdCQIhUdoqAAg4ToAigSUBlwhMHBV+2yXns9M8wWeYKdZoozc/7v
      /OccsnV3F/sdgfEsASX1iY1zdN1T4vJiwVmpFGgaWs8Q5xCa6I60NxgF34V0
      P73+ajfd9zfbx2HOKKCBXLmYeHCjkd2+eCZdri7ZKGYYhG1eaB3E0WeMiHCu
      MfQUOn2J8y2//6L2dq/X95/8erV5RNZv7+bapPLy6qXi2q3VFGyLGiqDJBVo
      hBYTgFAitMkzlwRSRrfGm88TvPvoHVTZn+t8wAvboMm1b10LzheJsyeBfAqY
      BQpyHqXQsToQTBXCUGMWwrig0fsHtHoWkjnngk+W7/OkAP6OjUWHAQ5/MwxW
      F5DPGBcoBSGRvOZxAJQBaH6YwhSOQpFjpZ7AZD5D2bSZhwF4Ztp/tpwVd9L5
      hUapJiCEsUopKPMhAohpABQlqJ+2UVhkqFc5JhOT0NdwXf/AHnR2eFZgRKzh
      piP0w0aN3MuUnCVQBsYJuEUi/XmsGTCDLizL9B8IjRvDXjCwS97eD3f8+PnT
      rSMSraHLk3AyNiymK8UU27DTqSsinTwlJXUMQaw1NNoJyomfsqetbnu87xGr
      ufPo2s/j+H8idck4sPoywgAAAABJRU5ErkJggg==
   }
   saImages::png volSlider {
      iVBORw0KGgoAAAANSUhEUgAAABYAAAAKCAYAAACwoK7bAAAAB3RJTUUH1gIP
      ABAmst+BCAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAARnQU1BAACxjwv8YQUA
      AAGySURBVHjanZM9a1RBFIbfMzP3Y+Yud28umIWkWAgEERNFEcF0wlqJtX9g
      Gzut/BUW/gMtbOxSWG3KpLJNUJEUfoGwEdmP3K+9d46z+gcGD5xqeB/eOe85
      BFc7o0n/7r66lxox6qV6P09Jg7mDTwmSs0uqlovqbF7S0fHH5uTL4f0Z7T48
      2s43w6ePDrLx7jDONvsSoeLWgVsfLhGpjqEu5hbn3+v54cny9bdp8UJRxI9t
      2HtiY5MsrUDxy4I76yTsZdhaQuvIZQ3M6iAVsR4nPf6pGPLajykn7943uLMX
      Ig4ckokshPABc2vp83mLsgHSDYUCgc7z6LqqigK/G4WWOgwGMZKY3P+YnF8/
      cMf06WuNxiWyE0Wo6hZBUJOX+H9KGWNgpIHW8b9eOxbsOeG/o3A6Aekcax1B
      O8cmFKyk7D5s9OzllYFIhAO6HEDWF+vCc51mEiYRyDOBprAl7OpMyXb1drjV
      bN3e43GaUV8ogpTCMsFrj9dhXB1KEQWEcrlaqLJ5dTFdvaH14+j5pH9zOz4I
      pHgQxvoGk4zY+h2I2x0VRlQHqE8XFU8W8/D45bNbsz+IA654xmeIKgAAAABJ
      RU5ErkJggg==
   }

   saImages::png autoLevel {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAACyklEQVQ4jZWO
      T2ibdRjHP8/v/aVJBu+WNE2yuSZraDfnNtahi5tWpYrgwM6DoAcZu7UgqMyb
      CB4m3vQwHAjCjoIyvLhdxclEenADt1WrlbaLVVdjmpimyfsn7/v7eYh6lPrA
      ly88PJ/n+2Vubu7F6enptwqFQtZay/+V1lrPpFKpTBzHaaDFNubSuZfU2g9L
      Bb8b+brVal0OguAFwG4H/vLSeVXaXz5SOXpgdvnWd5/qIAh8Y8y24I9ff0aX
      jj16fP/U6feU4+/dbNy9qiqVypl0Op2x9r9/XLv4qhp78OGp8epj7xTGxk7S
      /135zR/RtVrtjud5VYDO7csS/rag0hNPxTsmpv+Fv744m9g5PPJkufr4heHR
      fQeU+cMJG/N49dsoa+3NOI57qSFHTGd5PLF7fHar9tUDdz866wDMv382lR3d
      M7PvoZPv5u7LH3RMy6G3AM1r2CBEt9tt11qrTp0Yc5P5g284hWPPy67l692N
      2nmazRtufuTp4v2H387sGTmkTEuIfWjOQ3sF+qAnJyfP3ft5yX3ztWc/HKo8
      8oSSWHS6PCPV546u3bhwpVw9PuvmdiWlX4d+F3or8Mtn0PUg0qjFxcUPhnOZ
      bHr00JTYthA3IN4gnd1Ryh8+8rKbTSQlbEDQgM4S/HoF/rwHHoMGItLRmoTQ
      0RJZMAES9VCxJ0kdOOJ1od+D7jqsfw6t76FnwAci0Llc7rTxfnKlcxXcKtgE
      9D0k8qC/BVvrsLkCjZvQqUNoIQB6fzfwPK/lxo2IxicW9a1AESINYQDeBrTX
      oLsBvjcA+wz8nwarq6vXM6XeGbu5mTfmG4gUBDI4DA0EZpAaCoRACDYE44O1
      juh6vW6WJeSLWyXJuUmIBGIQI0g8EGawIx64NdCItXtneOcJKRaLE+mUfmXv
      7lw5kRiyIBbAUQ5KKSuiEBEjIoiIFQZuRZlO11v4CwtnZPFQsWZHAAAAAElF
      TkSuQmCC
   }
   saImages::png playlist {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAACp0lEQVQ4jV2S
      TUtkRxSGn1O3rre7p+P0TCNCK86MTGxH0gsnGUGQzkZIIKJZZOffcJsf4SbL
      gGSdVX6BmxCyyoDgSp2IGUTapsHb96OqblUWbfeEvFDUW5vzfpySEALHx8fP
      NzY2flpZWflORAghfDre48MjvCeEEHwIGGN4eHj4QzOBLC4u1jqdTjPLMqy1
      OOdmd5hya7HOIUC73SZ4358OAKAsS4bDIVmWYYzBGkNRFJTGUJYlZVlijEFH
      EU+aTRCJNYBSChGhXq+ztLSEryoq7/He45yjqip8VRFCABF8VeGcI89z9NbW
      1ovDw8MshECaptzd3ZFnGcZarLUURTFz02q1WF1dRUURARBA7+/v/6KU+rUs
      y3oURSRJAkD8mHtubg5rDMZa6o3GxEUIiAiIoBcWFr6Iomj94uLCLy8v0+l0
      qJxjnGUURYFzblZorDVRFE1aFwFAX19fk+f5QpIkjMdjdnd3aTQanJ2d8feH
      D6TjMaPRiDRN2dzcZGdnBxFBeY9A0Ofn5/729hbnHKenp+R5zvcHB2y8ecPn
      r19jnZspRlGEEkFECEohSqFHo5Gr1WrkeU6/3+fLt2/JsoyrqyuGwyGIIJMJ
      CBBFEd1ul8/m5wGCbrVavtlsDtbX16u9vb3FJ40G1lru7+/55+NH5D8DALTW
      vHj5kvnp2xjzp9b6t6/7/R9qSfJtXhQQAr1ej16vhyiFAEmSoON4sjqt8SFM
      IlxeXv64vb090HF8cHNzw1/v3+OsnSmKCLHWfPXuHauvXk2iiBCqalLi0dHR
      mSj1XClF69kz1tbWCN5/WpUIkVK0nj6duRER/FQghMDJyUm72+3+3G6396eZ
      5VFpqjgr8pG7qmIwGJQaII7jPE3T34FvRGSO/2H6aYAw5d57qqpy/wKE4mGL
      a+xrogAAAABJRU5ErkJggg==
   }
   saImages::png view_bottom {
      iVBORw0KGgoAAAANSUhEUgAAABYAAAAWCAYAAADEtGw7AAAABGdBTUEAAK/I
      NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAARt
      SURBVHjaYvz//z8DLQBAADEx0AgABBALiBAVLThtYKJo8ucfA8M/oAf+Aem/
      /6Hs/1D2PyQ2Eo2u9vWNu3t+ff3sDRBAYINNrNRM0nuzGN5/Z2D485eB4Tca
      /vUHUwwsjsb/w8jAcKxzssGbS6d5AQIIbDAjCwvD4Rt/Gc7d+cnAyMiIcOE/
      hGtRXI1Gg8T/ABnCwuwMDMwsQCuYGQACCGzwz/8sDD+fPmaIUWFjYGJBBDvQ
      DhSAyoVEOiTu/zMwMfxjWHWBgeH2P2agQmYGgAACG/wdaIe8CAtDso8UGdH0
      D2rJP4ZTz94z7P4HtB4YAgABBDb4H9AGUHhBFDDiNALkOlDyBOF//0D4H5xm
      Z/7H8BMY+/+ZmEDBwQAQQGCD/wI9AgovQgCXof+Amv8xAuVAYc4INJiFmQEg
      gJggLmYCRwIh14J8BDMc1RKQoUDD/zMy/Af6HuRigACCuBho8H88hiIikpGB
      CUSDXMcIEfvFyApk/AGy/0FCGuRiZmYGgAACG8zOwc5w4vIrBqedJ4GCQIl/
      f6EYqBgURn8h/P8gGshnBKr5/+s3w79fvxiMGW4zvPjNy/DsLzfDA1lnBjYe
      boZfQIMBAghs8Lff/xlMZPkZEqKsIc6AxBLQe1Avwul/YJ99uHWTgU1UiuHX
      s2cMOp/nMrx4r87w1badYd7mVwwbrrxnYGBlZwAIILDBv4BJhI+XncFURxxX
      CIPDkwHozbc3bjJ8/LmIgfm1LMMvHmsGQQV5Btb3cgw/3t5mmGlXzmDyQICh
      +JUPA0AAwSPvDyhrQRM9yIV/gV7+DcynP3/+Zvj+/TfDt2+/GL4C8T9eEYYf
      zNIMMs5CDB/39TD8/vqX4ev5swy8LE0MrIbMDMdeqgPDlu0PQABBI48Zmtz+
      w9MqRpIC0n/+AC14/YzhJ6c5w5meaQyG2doMjOw/GPjU3zL8f/OYoTXZmuHg
      RxNmqZ9XhAACCJ6OIamCERzEsJhngKUAIGTh4GB4vGstA9uXwwzyivIMfwT1
      GJh4WBlYFdWAiu4xfPv4jqGo6ShDDedmkY+rvx0GCCCwwf+BsfgN6N3Xr78A
      MyYjJLJgaRWcPoGWMP9h+MkuxvDmDjvDi09fGdge3GIQUFAGav4JtPwvw6/H
      XxmOnBRn+MEj+fv35Rc7AQIIbDArsOB58k+YIWbeN7DrYSXXX+TSDZTcmPQY
      PvwyYFC8vI5hSvhjhl/PvzL8fHGU4dfbDwwixhwML3eLMaRuDPrAwPA8ByCA
      wAY/vvd088fPBw3+AlP9v//w1AbG/xiQ+MDiUPjtDfbO/Pti8ibyDLUuK16U
      zlSSOLiR+du/Dd+/pcy9IMIQcvdl6sO0PwABBDb4989ffm8fPuLCn/VAmJUh
      83whz7PFCpOvVLzaJ/n0z1FOfrXLyhyvjl6ZdSvm4kvufov7Xw4xcKT+Bggg
      Fnh+ZWH5RrAUYmRh4ADmp6u7HoSzAbnCQPRgxeVX3y68ucPD8PvV610foplB
      6nQZGAACDACxdGXdHpj1qQAAAABJRU5ErkJggg==
   }
   saImages::png ledblue {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/I
      NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAANP
      SURBVHjaYvz//z8DJQAggFhABKPOEgYGQR4GBmEgfvuVgeHF1whxXtY4PRlu
      I0E+Nt43b75/vHTx5Zk3L97OB6pez8DADNT1DYjrGAACiAVuFCMjA8P33/Ki
      MsLTizKNPcOdxBkUJFgZgKIM/xgYuO49/uG7dNVd34ldx9e/f/U6C2jIC5A2
      gABiAHtBezEDg9lqOeWYE3c3nfv9/933//+//Pz//9ff/////oPQX379///2
      9///qw5/+y+rvuQKA0OOOEg/QAAxQe1nZvjJNTvIyUhJXJiF4elbBoaPQBd+
      /QHEPxkYvgDpD18YGJ4B7VRQ5GTwzQrVZmBhngFyN0AAQcLgP0Pwf24Vt+vP
      WBjefGJg4GVjYAAF7fffDAwsQCv+AP3wDWjQe6Chn4H0zfdABcpxAYw3N7sD
      BBDYAHYe/pQ/ktIMux/+Z9C6xchgqcDA8PMPAwMHK9BpQAP+Ag34/gvoEqDm
      g3eA+PF/BlYNTQamp86JAAEEMUBUxOiPGDcDCycDw5bLQIVAm9SAPhTgAroA
      GOC//wJtB0bODaAXDt4FqudnZPjFxsnAJqpvBBBAYAOYBbl5+PgYGGS4GRhE
      gIbceQ30L9ArPBwMDKxQA0DhAPKGFDCm2YBiT9mBscMrwAcQQGADWNj/fxLn
      YRAVBWrgBmJ2oBfZgM5nAjkfGI9MQA3cQINZgap//oLEOCgpPPv5/hNAAIEN
      +PHt02lRjr9eHOzMDOxAk7mAmIMNogFkyD9gGPwChgkzMyTKgA5iEPnxl+Hu
      i3NnAQIIHI2fbzyd+evNUwYuoBfYWSGauYAu4eGEYJDtMENB8ly8wEC9eY3h
      28fdCwECCGzA/5dfN1/bcnQj269fDOxAxWwsEG+ADOHlgngLpBksDrSE+eNf
      hmvbJm1gYHiyAyCAYAnp/7urj9KPTl15heX7XwZOYICysELCgZMDQrOADASK
      M378w3BkSvfVT+8WZoL0AQQQEyJfMb18cGWm67qqwrV3d11j+Pv5D9j/oMwA
      CrQ/H38z3Nx6kWFddda6J7frXIFxA84LAAHECMoLjNJzgUH6DshdCcRngVjZ
      U1jUOUZKSc+Yi5ef7+un95+e3r1w9v3bPUsZGB5tQ87OAAEGAOfDHTQvRWbv
      AAAAAElFTkSuQmCC
   }
   saImages::png minimize {
      iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAB3RJTUUH1gIb
      FjsHTxZzNQAAAAlwSFlzAAAewgAAHsIBbtB1PgAAAARnQU1BAACxjwv8YQUA
      AAB8SURBVHjaY2CgDDAzgki71E0MdkZSJOlsmXWcgeF8LoST3X+GdLv1+8EU
      E4i48pJ8P4ANePWVQgM+/qTQgP/k64cYQAkYJAawUGAMWKuUIPkGsIAIXk6G
      /8YzSYuLs9MmnAVSDpSEgSYQc4MN4OMkQ/v/vx+A5D8KHAABABFxGG6S8N2p
      AAAAAElFTkSuQmCC
   }
}
package provide saImages 1.0
