##################################################################################
#                             m i n i c o n t r o l
##################################################################################

proc remote/mini::doit {} {
   upvar data data
   set args [split $data(query) &]
   eval [concat [list HttpD::GetParams {playId "" cmd "" volume "" panel.x "" panel.y "" filter "" gofilter ""}] $args]
   set rc ""
   if {$playId!=""} {
      set n [LB::keyFromIndex $playId]
      if {$n!=""} {
         LB::activate $playId; Play active
      }
   }
   # Lay on commands for the buttons.gif image
   set px ${panel.x}; set py ${panel.y}; if {$px!=""} {
      if {$py<16} {
         if {$px<80} {set cmd [lindex {prev stop pause play next} [expr {$px/16}]]}
         if {$px>=106} {
            set volume [expr {$px-106}]
         }
      }  else  {
         set pos [expr {round(double([soundControl::length])*double($px)/170.0)}]
         PlayOffset $pos
      }
   }
   if {($gofilter!="")||($filter!="")} {
      set ::TA(filter) $filter
      filterMusic replace
      return
   }
   if {$cmd!=""} {
      switch -- $cmd {
         prev {
            Prev; update
         }
         next {
            Next; update
         }
         play {
            Play
         }
         pause {
            Pause
         }
         stop {
            Stop
         }
      }
   }
   if {$volume!=""} {
      PlayGain [tologDb [expr {$volume/100.0}]]
   }
   return ""
}


proc remote/mini::_calctime {t} {
   set t [expr {round($t)}]
   return [format "%d:%02d" [expr {$t/60}] [expr {$t%60}]]
}

proc remote/mini::status {} {
   if {[snack::audio active]} {
      if {$soundControl::playState!="Stopped"} {
         if {$soundControl::paused==1} {
            set pre "Paused"
         }  else  {
            set pre "Playing"
         }
         set vol [soundControl::getGlobalGain]
         return "$pre [_calctime [soundControl::position]] / [_calctime [soundControl::duration]] ($vol %)"
      }  else  {
         return "Stopped"
      }
   }
   return "Not playing anything"
}
proc remote/mini::buttons {} {
   set rc ""
   return {<center><form action="/remote/mini/" method="get"><input type="image" name="panel" src="/remote/mini/buttons.gif" width="170" height="28"></form></center>}
}
proc remote/mini::playlist {styleN styleA cnt} {
   set cnt0 [expr {$cnt/2}]
   set cnt1 [expr {$cnt-$cnt0-1}]
   set cur [LB::idxPlaying]
   if {$cur<0} {set cur 0}
   set end [LB::idxEnd]
   if {$cur<$cnt0} {
      incr cnt1 [expr {$cnt0-$cur}]
      set cnt0 $cur
   }
   if {($cur+$cnt1)>=$end} {
      set c [expr {($cur+$cnt1)-$end+1}]
      incr cnt1 -$c
      incr cnt0 $c
      if {$cur<$cnt0} {
         set cnt0 $cur
      }
   }
   set rc "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">\n"
   set pos [expr {$cur-$cnt0}]
   set cur [LB::idxPlaying]
   for {set i 0} {$i<($cnt0+$cnt1+1)} {incr i} {
      if {$pos==$cur} {
         set cls $styleA
         set a0 "<i>"
         set a1 "</i>"
      }  else  {
         set cls [lindex $styleN [expr {$i%[llength $styleN]}]]
         set a0 "<a href=\"/remote/mini/?playId=$pos\">"
         set a1 "</a>"
      }
      append rc "<tr><td height=\"14\" class=\"$cls\" onclick=\"location.href='/remote/mini/?playId=$pos'\">$a0[string replace [LB::keyFromIndex $pos] 27 end ...]$a1<br></td></tr>\n"
      incr pos
   }
   append rc "</table>"
   return $rc
}

##################################################################################
#                             s o n y   p s p   c o n t r o l
##################################################################################

proc remote/psp::doit {} {
   upvar data data
   set args [split $data(query) &]
   eval [concat [list HttpD::GetParams {playId "" cmd "" volume "" panel.x "" panel.y "" filter "" gofilter ""}] $args]
   set rc ""
   if {$playId!=""} {
      set n [LB::keyFromIndex $playId]
      if {$n!=""} {
         LB::activate $playId; Play active
      }
   }
   # Lay on commands for the buttons.gif image
   set px ${panel.x}; set py ${panel.y}; if {$px!=""} {
      if {$py<16} {
         if {$px<80} {set cmd [lindex {prev stop pause play next} [expr {$px/16}]]}
         if {$px>=106} {
            set volume [expr {$px-106}]
         }
      }  else  {
         set pos [expr {round(double([soundControl::length])*double($px)/170.0)}]
         PlayOffset $pos
      }
   }
   if {($gofilter!="")||($filter!="")} {
      set ::TA(filter) $filter
      filterMusic replace
      return
   }
   if {$cmd!=""} {
      switch -- $cmd {
         prev {
            Prev; update
         }
         next {
            Next; update
         }
         play {
            Play
         }
         pause {
            Pause
         }
         stop {
            Stop
         }
      }
   }
   if {$volume!=""} {
      PlayGain [tologDb [expr {$volume/100}]]
   }
   return ""
}


proc remote/psp::_calctime {t} {
   set t [expr {round($t)}]
   return [format "%d:%02d" [expr {$t/60}] [expr {$t%60}]]
}

proc remote/psp::status {} {
   if {[snack::audio active]} {
      if {$soundControl::playState!="Stopped"} {
         if {$soundControl::paused==1} {
            set pre "Paused"
         }  else  {
            set pre "Playing"
         }
         set vol [soundControl::getGlobalGain]
         return "$pre [_calctime [soundControl::position]] / [_calctime [soundControl::duration]] ($vol %)"
      }  else  {
         return "Stopped"
      }
   }
   return "Not playing anything"
}
proc remote/psp::buttons {} {
   set rc ""
   return {<center><form action="/remote/psp/" method="get"><input type="image" name="panel" src="/remote/psp/buttons.gif" width="170" height="28"></form></center>}
}
proc remote/psp::playlist {styleN styleA cnt} {
   set cnt0 [expr {$cnt/2}]
   set cnt1 [expr {$cnt-$cnt0-1}]
   set cur [LB::idxPlaying]
   if {$cur<0} {set cur 0}
   set end [LB::idxEnd]
   if {$cur<$cnt0} {
      incr cnt1 [expr {$cnt0-$cur}]
      set cnt0 $cur
   }
   if {($cur+$cnt1)>=$end} {
      set c [expr {($cur+$cnt1)-$end+1}]
      incr cnt1 -$c
      incr cnt0 $c
      if {$cur<$cnt0} {
         set cnt0 $cur
      }
   }
   set rc "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">\n"
   set pos [expr {$cur-$cnt0}]
   set cur [LB::idxPlaying]
   for {set i 0} {$i<($cnt0+$cnt1+1)} {incr i} {
      if {$pos==$cur} {
         set cls $styleA
         set a0 "<i>"
         set a1 "</i>"
      }  else  {
         set cls [lindex $styleN [expr {$i%[llength $styleN]}]]
         set a0 "<a href=\"/remote/psp/?playId=$pos\">"
         set a1 "</a>"
      }                                                                                                                                                ;#27
      append rc "<tr><td height=\"14\" class=\"$cls\" onclick=\"location.href='/remote/psp/?playId=$pos'\">$a0[string replace [LB::keyFromIndex $pos] 80 end ...]$a1<br></td></tr>\n"
      incr pos
   }
   append rc "</table>"
   return $rc
}



package provide urlMinicontrol 1.0


