#------------------------------------------------------------------------------
# Description: Key assignments for snackAmp
# Author     : Tom Wilkason
# Date       : 2/23/2001
#------------------------------------------------------------------------------
##
# Assignements for the overall GUI
#
Assign <Control-q> {taExit}
Assign <Control-Home> {Highlight 0}
Assign <Control-End> {Highlight end}
Assign <Control-w> {Console}
Assign <Control-s> {saveSettings}
##
# Track Ratings
#
Assign <Key-1> {gui::setTrackRating $::TA(currentMF) *}
Assign <Key-2> {gui::setTrackRating $::TA(currentMF) **}
Assign <Key-3> {gui::setTrackRating $::TA(currentMF) ***}
Assign <Key-4> {gui::setTrackRating $::TA(currentMF) ****}
Assign <Key-5> {gui::setTrackRating $::TA(currentMF) *****}
Assign <*> {gui::setTrackRating $::TA(currentMF) --}


# Adjust the Auto level normalization up/down by 10%
Assign <plus> {bumpScaling .1}
Assign <minus> {bumpScaling -.1}
# Player controls
Assign <Control-p> Play
Assign <Pause> Pause
#Assign <Control-q> Stop
# Remove the song currently playing
# and play the next one if music active
Assign <Control-d> {
   locatePlaying
   Cut 1
}
#
Assign <Control-o> OpenFile
Assign <Control-t> AutoPlaylist
# Adjust the volume
Assign <Control-u> {bumpLevel 1}
Assign <Control-l> {bumpLevel -1}

##
# Assignments for the filterbox
#
# Clear Filter on double click
FilterAssign <Double-1> clearFilter
FilterAssign <Escape> clearFilter
# snack 1.4 did this
#Filter Assign <Double-1> {
#   clearFilter
#   filterMusic replace
#}
# snack 1.4 did this
# Find next song on Return
FilterAssign <Return> findNextSong
# Filter the playlist
FilterAssign <Control-Return> {
   filtering::searchFilter
}
# Filter the playlist, appending matches
FilterAssign <Alt-Return> {
   filterMusic append
}
# Just select the files that match
FilterAssign <Shift-Return> {
   filterMusic select playList
}
##
# Macros for AutoPlaylist file list
#
APL_ListAssign <F2>         {::APL::RenameFile}
APL_ListAssign <Control-F2> ::APL::RenameFile
APL_ListAssign <F3>         ::APL::EditId3
APL_ListAssign <F4>         {::APL::NameToTag 0}
APL_ListAssign <F6>         {::APL::TagToName}
APL_ListAssign <Delete>     ::APL::DeleteFiles
APL_ListAssign <Control-p>  {aplLB::playSelectedFiles}
APL_ListAssign <Return>     {aplLB::playSelectedFiles}
APL_ListAssign <Control-a>  {aplLB::appendSelectedFiles}
APL_ListAssign <Control-i>  {aplLB::insertSelectedFiles}
APL_ListAssign <Alt-c>      {fixplus::correctCase [aplLB::nameSelected]}
APL_ListAssign <Control-s>  {APL::SelectFile [lindex [aplLB::nameSelected] 0] 0}
APL_ListAssign <F5>  {APL::SelectFile [lindex [aplLB::nameSelected] 0] 0;break}
# This needs the table view
APL_ListAssign <Control-e> {trackList::changeEdit}
##
# Macros for the AutoPlaylist tree view
#
APL_TreeAssign <Control-m> {
   # Allmusic query on selected folder (assumed to be artist)
   set _var [file tail $TA(highlightPath)]
   browser::allMusic _var
   unset _var
}
APL_TreeAssign <F6>         {::APL::treeTagToName}
APL_TreeAssign <F4>         {::APL::treeNameToTag 0}
#APL_TreeAssign <Control-a>      {gainControl::averageSome [db::filesInFolder $::TA(highlightPath)]}
APL_TreeAssign <Control-a>  {gainControl::folderAlbumGains "$::TA(highlightPath)*"}
#APL_TreeAssign <Control-a>  {gainControl::averageSome [aplLB::getAllNames 1]}
APL_TreeAssign <Alt-c>      {fixplus::correctCase [aplLB::getAllNames 1]}
#APL_TreeAssign <Control-a>  {APL::AddToPlayList $TA(highlightPath)}
APL_TreeAssign <Control-i>  {APL::InsertToPlayList $TA(highlightPath)}
APL_TreeAssign <Control-p>  {aplLB::playSelectedFiles}
APL_TreeAssign <Control-s>  {APL::setSomeFolders $TA(highlightPath) 1}
APL_TreeAssign <Alt-s>      {APL::setSomeFolders $TA(highlightPath) 0}
APL_TreeAssign <Control-y>  {APL::fixFolderChildren}
APL_TreeAssign <F10>        {APL::prependFolderYear}
APL_TreeAssign <*>          {APL::expandChildren 1}
APL_TreeAssign <plus>       {APL::expandChildren 1 1}
APL_TreeAssign <minus>      {APL::expandChildren 0}
APL_TreeAssign <Insert>     {APL::createFolder $TA(highlightPath)}
APL_TreeAssign <Control-k>  {APL::catalogFolder $TA(highlightPath)}
APL_TreeAssign <Alt-k>      {APL::catalogFolderChildren $TA(highlightPath)}
# APL Filter assignments
APLFilterAssign <Control-f> {
   APL::findNextSong $::TA(SAFind)
   focus $::SAFind
}
APLFilterAssign <Control-g> {
   APL::findNextFolder $::TA(SAFind)
   focus $::SAFind
}

# ATI Remote Control linkage (yes I am lazy)
if {[string match -nocase [info hostname] "Bertha"]} {
   Assign <Prior> {
      Prev
   }
   Assign <Next> {
      Next
   }
   Assign <Tab> {
      Pause
   }
}
# Jump ahead 10 seconds
Assign <Control-Right> {
   macros::skipPlay 10
   break
}
Assign <Control-Left> {
   macros::skipPlay -10
   break
}

##
# Sample keys
#
set possibleKeys {
   <Return>
   <Escape>
   <BackSpace>
   <Tab>
   <Home>
   <Up>
   <Down>
   <Left>
   <Right>
   <comma>
   <period>
   <dollar>
   <numbersign>
   <exclam>
   <Scroll_Lock>
   <Num_Lock>
   <Caps_Lock>
   <Shift_Lock>
   <Sys_Req>
   <Win_L>  <- Windows specific
   <Win_R>  <- Windows specific
   <F1>
   ..
   <F12>
   <A>
   <a>
   ..
   <Z>
   <z>
   <0>
   <9>
   Each can be modified with Control-, Alt-
   They can also be ganged such as <Control-w><s>
}
# Example how to configure other items
#$::SA.panel.stat.ts configure -width 10
